Keysight D9010SFPC SFP+ Test Application Online Help

Software Version 1.31.0.0

© Keysight Technologies 2023

Warranty

Technology License

Restricted Rights Legend

Safety Notices

Trademarks

April 2023

Table of Contents

· SFP+ Automated Testing—At a Glance

· Starting the SFP+ Test Application

· Creating or Opening a Test Project

· Setting Up the Test Environment

· Selecting Tests

· Configuring Tests

· Verifying Physical Connections

· Running Tests

· Configuring Automation in the Test Application

· Viewing Results

· Viewing HTML Test Report

· Exiting the Test Application

· Additional Settings in the Test App

D9010SFPC SFP+ Test Application

Online Help


SFP+ Automated Testing—At a Glance

Keysight D9010SFPC SFP+ Test Application Online Help > SFP+ Automated Testing—At a Glance

SFP+ Automated Testing—At a Glance

Overview

The Keysight D9010SFPC SFP+ Compliance Test Application provides a framework for testing the performance of SFP+ host transmitter for compliance with the specifications.

The application consists of three test patterns to cover the various types of tests.

The following table describes these three test patterns:

8180 | In this test pattern, as the numeric figure signifies, there are repeating square wave consisting of 8 continuous 1’s followed by 8 continuous 0’s.
PRBS9 | In this test pattern, there is a pseudorandom binary sequence, with a repetition period of 29 – 1. This sequence is also defined in IEEE Std 802.3, 68.6.1
PRBS31 | In this test pattern, there is a pseudorandom binary sequence, with a repetition period of 231 – 1. This sequence is also defined in IEEE Std 802.3, 49.2.8.

Required equipment and software

The SFP+ test application requires:

· D9010SFPC SFP+ Test Application software.

· The minimum version of Infiniium oscilloscope software, as specified in the Release Notes.

· D9010SFPC Host Compliance Board Test Fixture Kit (Recommended: Wilder SFP+-TPA-HCB-P).

· Blocking Capacitors.

· BNC to SMA Converter ( For Infiniium 90000A Series) or SMA (female) to SMA (female) Adapter (For Infiniium 90000X, 90000Q, and UXR Series).

· Keyboard and Mouse (provided with the Keysight Infiniium oscilloscope). Keysight also recommends Using a Second Monitor to view the automated test application.

· For jitter and distortion test, it is recommended to have at least 8M points of memory.

To view the information related to licenses required to run this application, refer to the Data Sheet for this application.

The D9010SFPC SFP+ Compliance Test Application has the following characteristics:

· It allows you to run individual or multiple tests at a time.

· It enables you to identify the device being tested or device under test (DUT) and its configuration.

· It illustrates you how to make oscilloscope connections to the DUT and also sets up the oscilloscope automatically for each test.

· It permits you to regulate and define the number of trials for each test and affords you the detailed information of each test that has been run. You can view the results of maximum 25 worst trials at a time.

· It generates a printable HTML report (that may consist of pass/fail limits, margin analysis, and screen shots) of the tests that have been run, which is very important.

To understand the functionality of the Test Application's user interface, see:

· Starting the SFP+ Test Application

· Creating or Opening a Test Project

· Setting Up the Test Environment

· Selecting Tests

· Configuring Tests

· Verifying Physical Connections

· Running Tests

· Options to start test runs

· Settings to optimize test runs

· Configuring Result Tags

· Configuring Automation in the Test Application

· Using Script for automation

· Using Files for automation

· Running Automation Script or Files

· Viewing Results

· Viewing HTML Test Report

· Exiting the Test Application

· Additional Settings in the Test App

· Customizing the Test Application

· File menu options

· View menu options

· Tools menu options

· Help menu options

· Controlling the Application via a Remote PC

· Using a Second Monitor

Next

· Starting the SFP+ Test Application


Starting the SFP+ Test Application

Keysight D9010SFPC SFP+ Test Application Online Help > Starting the SFP+ Test Application

Starting the SFP+ Test Application

The SFP+ Test Application is available to be run only on the Infiniium interface of a Digital Storage or UXR Oscilloscope and cannot be run as a stand-alone application on a PC.

· To access the SFP+ Test Application,

  1. From the Infiniium Oscilloscope's main menu, click Analyze > Automated Test Apps > D9010SFPC SFP+ Test App.

Note

If you do not see the D9010SFPC SFP+ Test App listed under the Automated Test Apps drop-down, check for the following reasons:

· The D9010SFPC SFP+ Test Application is not installed on the Oscilloscope.

· One or more licenses required to run the SFP+ Test Application are not installed on the Oscilloscope.

For instructions on installing the Test Application and licenses, refer to the Keysight D9010SFPC SFP+ Compliance Test Application Methods of Implementation document available from the Help menu of the application (Help > View Test Procedure). Alternatively, locate the Methods of Implementation document at https://www.keysight.com/us/en/product/D9010SFPC/sfp-qsfp-compliance-test-application-software.html

You may also discover missing license information by launching the Test Application under the Analyze > Unlicensed Apps menu of the Infiniium Application. During startup, the Test Application displays a detailed license message.

  2. If you are launching for the first time, the End-User License Agreement window appears. Click Agree to continue.

  • The SFP+ Test Application banner appears.

  • The SFP+ Test Application is launched, displaying the default Set Up tab.

· Creating or Opening a Test Project


Creating or Opening a Test Project

Keysight D9010SFPC SFP+ Test Application Online Help > Creating or Opening a Test Project

Creating or Opening a Test Project

The Test Application environment identifies files in *.proj format as Projects. A Project file contains all types of information both at the user-interface level as well as configuration level.

By default, a new project is loaded each time you launch a new instance of the Test Application. However, you may enable the most recent project to be loaded whenever you launch the Test Application. See Setting Miscellaneous Preferences to modify the load settings.

Creating a new project

  1. From the Test Application's main menu, click File > New Project....

  2. The Start New Project window appears.

  • Optionally, select Keep settings for tools to enable selection of Infiniium features; else skip to step 3.

  • Click Select All to retain existing settings for all Infiniium features or select one or more features to retain the corresponding settings.

  3. Click [image] to create a new project or click [image] if you wish to save the settings and test results in the existing project.

Opening an existing project

  1. From the Test Application's main menu, click File > Open Project....

  • To access any saved project files, click Browse....

  2. Click the Browse... option to select the User or Previous location. Then, click the Go button.

    Browse Location

    Description

    Example

    Previous

    Any location from where the last project was opened or exported to.

    <any system location>

    User

    Default location where the application saves or exports the projects.

    \C:\Users\Public\Documents\Infiniium\Apps\SFP+Test

  3. If any prior changes were made on the Test Application, the Save Changes? prompt is displayed.

  • Click Yes to save any changes made on the Test Application. To save changes, see Saving Test Projects. The Test Application then proceeds with opening the new project.

  • Click No if you wish to continue with opening another project without saving changes. The Test Application then proceeds with opening the new project.

  • Click Cancel to abort opening of another project.

  4. On the Open window that appears, select the appropriate project file *.proj on your machine and click Open.

  • The selected project is loaded within the Test Application. The Messages area indicates whether or not the project file was loaded successfully.

· Setting Up the Test Environment


Setup Test Environment

Keysight D9010SFPC SFP+ Test Application Online Help > Setting Up the Test Environment

Setting Up the Test Environment

By default, the Set Up tab is displayed when the Test Application launches.

  1. Click the Set Up tab.

  2. Select either SFP+ or QSFP+ from the Device section that you want to test.

    On selection of SFP+, Device 1 is selected for test by default.

When you configure and execute the tests on multiple lanes selecting upto all four lanes concurrently, it is termed as QuadSFP+ or QSFP+.
Notice that on selection of QSFP+, all the four Lane selection options appear. You can select either one or multiple (upto 4) lanes, depending upon the data traffic flow.

The Switch Matrix feature enables you to connect all four pairs of the QSFP+ hosts or multiple SFP+ devices to the correct switch and accurate signal path whenever required. If you plan to test a QSFP+ device, it is mandatory to turn on Switch Matrix. To enable the feature and for detailed information see Enabling Switch Matrix.

Note

The tests that appear under the Select Tests tab are determined by the choices selected under the Set Up tab. The test list gets rebuilt each time you change your selection.

  3. Test Limits allow you to choose the desired SFP+ electrical specification based on data traffic flow requirements.

Select one of the Specification:

· SFP+ SFI is SFP+ high speed serial electrical interface.

· 10GSFP+Cu is 10Gigabits SFP+ interface with passive direct attach cables.

· XLPPI is four lane SFP+ parallel physical interface.

Note

The XLPPI option is only available on testing QSFP+ devices.

  4. The Use Offline Waveforms feature, allows you to use a saved waveform file (.wfm) to run the tests. This Use Offline Waveforms feature is typically used when you have limited access to the DUT (Device Under Test) or when you have generated the waveform file (.wfm) from a circuit simulation output.

· Select the Enable check box and click the Setup button.

The Setup Offline Waveforms window appears.

· Click the Requirements button to open the SFP+ Information window. Read the information carefully before setting up the offline waveforms.

· The setup uses both positive (+) and negative (-) waveforms to successfully run the tests. Click the Browse button to select the appropriate waveform file (.wfm).

· Click Done to return to the Set Up tab.

Note

If you do not select valid waveforms, the specific tests that use the waveforms will not be enabled in the Select Tests tab.

  5. The Test Report Comments section allows you to add your own comments to the HTML Report. This field is optional.

· Selecting Tests


Selecting Tests

Keysight D9010SFPC SFP+ Test Application Online Help > Selecting Tests

Selecting Tests

The tests that appear under the Select Tests tab are determined by the configuration of the Set Up tab. The test list gets rebuilt each time you make changes to the set up. Based on such configuration, each test is categorized and appears under the corresponding test group. The test group (whose name appears as the root level) can be expanded to view each test (whose name appears at the branch level).

  1. In the Select Tests tab, manually click the check boxes corresponding to one or more tests you want to run. Note that:

    • Checking the root will select all available branches. This logic is applicable for unchecking as well.

    • The root is checked if all branches within the test group are checked. However, even if one test within the group is unchecked, the corresponding root shows a blue square instead of a tick.

  2. Right-click within the Select Tests tab. From the menu options that appear,

    1. Click Check All to select all tests.

    2. Click Uncheck All to uncheck any selections.

    3. Click Run checked tests to start running the selected tests.

    • After the test have been run at least once:

    4. Click Delete all results for checked tests... to remove test results for only such tests that have been ticked. Click OK on the Confirm Deletion prompt to proceed.

    5. Click Delete all results for ALL tests... to remove all test results irrespective of whether a test is ticked or not. Click OK on the Confirm Deletion prompt to proceed.

[Caution]

Test results that are deleted cannot be retrieved, unless they are saved. Keysight recommends saving your test projects before you proceed with deleting test results. See Saving Test Projects to know about how to save test projects.

  2. Highlight any test to view its corresponding information in the lower pane. Remote interface hints, if enabled, also appear in this area. See Setting Remote Preferences to know how to enable remote interface hints.

  • After the selected tests have been run at least once (see Running Tests), the Test Application uses indicators to help you recognize the status of each test.

  • The following table describes the various test indicators available within the Test Application:

Indicator | Description
 | The test has passed.
 | The test has failed.
 | Some tests in the group have been run and passed.
 | Some tests in the group have been run and failed.
 | Some tests in the group have passed and some have failed; all tests in the group have been run.
 | Some tests in the group have passed and some have failed; but not all tests have been run.
 | All the tests in the group have run and passed.
 | All tests in the group have run and failed.
 | The test is an information only test.

· Configuring Tests


Configuring Tests

Keysight D9010SFPC SFP+ Test Application Online Help > Configuring Tests

Configuring Tests

The Test Application consists of various configuration options that are available in the Configure tab. The Test Application automatically configures certain parameters and its values required to run tests on the Oscilloscope for compliance validation or for debugging. Optionally, you may change values to various parameters manually in each mode.

Note

· The values for all such Configuration parameters that are Oscilloscope-dependent, will correspond to the Oscilloscope Model (DSOs or UXRs), where you are running the Test Application. The images displayed in this section show values that pertain to the Keysight Digital Storage Oscilloscopes (DSOs).

  1. In the Configure tab, you may choose one of the following Mode: options to perform tests.

  • Compliance—enables all such configuration options, which have values / range of values based on standard specifications and are necessary for tests to be compliant. This mode is selected by default.

  • Debug—enables configuration options for debugging. This can be useful, for example, when investigating a test failure.

Note

· Switching from Debug mode to Compliance mode resets all configuration options for debugging.

· When you create a new project, all configuration options are reset to their default values.

  • Some of the configuration parameters are dependent on the configuration settings in the Set Up tab. The Test Application indicates such parameter names on the Config settings change prompt.

  2. Highlight a configuration parameter to view its description on the right pane. Remote interface hints, if enabled, also appear in this area. See Setting Remote Preferences to know how to enable remote interface hints.

  3. Highlight a configuration parameter in the left pane to modify its value. Depending on the type of configuration parameter, you may:

    1. Toggle between values (On to Off and so on).

    2. Select a value from the pre-defined options or type a custom value (within the permissible range) on the drop-down text field.

  • The Test Application validates entered values and accordingly, accepts or rejects the custom values.

  4. You may define your own limit sets for the configuration parameters required to run tests using the Test Application. To know more about how to define and activate limit sets, see Configuring Compliance Limits.

· Verifying Physical Connections


Verifying Physical Connections

Keysight D9010SFPC SFP+ Test Application Online Help > Verifying Physical Connections

Verifying Physical Connections

Based on the configuration options and the selected test group, the Test Application depicts the corresponding physical connections in the Connect tab. These illustrations / diagrams / images are preceded with instructions for clarity in making connections.

Even though the connection diagram / instructions are filtered within the Test Application based on the Set Up and Configure tab's configuration and the selected test group in the Select Tests tab, the instructions and connection diagram appear as soon as you select one or more tests in the Select Tests tab.

  3. After making connections between the Oscilloscope and DUT based on the given instructions, click Connection Completed. Once clicked, this button is grayed out. However, if you make connection-impacting changes in the configuration before you begin running tests, the Connection Completed button is reactivated.

  4. Click the Suppress All Connection Prompts check box if you want to suppress the pop-up messages and any connection change prompts that may appear during test runs. If you select this check box first, the Connection Completed button is grayed out.

  5. Click Run Tests to start running the selected tests.

  • See Running Tests to know more about the other options that are available within the Test Application to run tests.

Note

· You must allow the Oscilloscope to warm-up at least 30 minutes before running any measurement tests. Also, ensure that the Oscilloscope and all other connected instruments are calibrated before you begin performing measurements. As a best practice, calibrate the Oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

· The Connect tab does not appear (is hidden) when you launch the Test Application using the N8900A Infiniium Offline Application or when you configure the Test Application for Offline processing. This is because offline mode uses saved waveform files. Therefore, the instructions regarding physical Oscilloscope Channel assignments and indicators to suppress connection prompts or connection completion are deemed redundant.

· Running Tests


Running Tests

Keysight D9010SFPC SFP+ Test Application Online Help > Running Tests

Running Tests

Before you begin to run tests, you can optimize the way your tests must be run within the Test Application. To achieve this, you may modify certain settings that are available in the Run tab, which are otherwise unavailable with the option to Run Tests in the Connect tab.

Note

· You must allow the Oscilloscope to warm-up at least 30 minutes before running any measurement tests. Also, ensure that the Oscilloscope and all other connected instruments are calibrated before you begin performing measurements. As a best practice, calibrate the Oscilloscope at least once in a year or when the Calibration ΔTemp is greater than ±5 ºC. Refer to the Help>About Infiniium... menu on the Keysight Infiniium Oscilloscope to find the Calibration ΔTemp.

· The Connect tab does not appear (is hidden) when you launch the Test Application using the N8900A Infiniium Offline Application or when you configure the Test Application for Offline processing. This is because offline mode uses saved waveform files to run tests. In such cases, use one of the options described in this topic, to run tests.

  • By default, the Run button in this tab appears fused until one or more tests are selected.

· See Options to start test runs to begin running the selected tests.

· See Settings to optimize test runs to optionally modify one or more settings in the Run tab.

Status during test runs

When the Test Application begins test runs in a project, it checks for any existing results. If the project contains existing results (in the Results tab), the following prompt appears below the Messages area.

· To retain the existing test results to compare with the new results of the selected tests, click Append.

· To remove the existing test results, click Replace so that only the new results of the selected tests are displayed.

· To abort the tests from running any further, click Cancel.

The Run tab displays the overall status and the test name while they are running. During test runs, Stop button replaces Run and Pause button is enabled.

· Click Stop to manually abort test runs.

· Click Pause to manually pause test runs. Click Resume to continue test runs.

During the test runs, if the Test Application detects the need for change in physical connection change, the Connect tab is displayed with the connection diagram and the instructions for change in connection.

Perform one of the following actions:

  1. Follow the instructions to make changes to the physical connections and click the Connection Completed button.

  2. Click Ignore to skip the current connection change prompt and to proceed with the test runs.

  3. Click the Suppress All Connection Prompts check box to prevent any connection change prompts from appearing any further along the test runs.

After the Test Application completes running all selected tests, the Messages area indicates that all selected tests are complete.

· Options to start test runs


Options to start test runs

Keysight D9010SFPC SFP+ Test Application Online Help > Running Tests > Options to start test runs

Options to start test runs

  1. In the Select Tests tab, select the right-click menu option Run checked tests to run all selected tests.

  2. In the Configure tab, right-click anywhere in the left pane and select Run checked tests to run all tests that have been selected under the Select Tests tab.

  3. In the Connect tab, click the Run Tests button to run the tests that have been selected under the Select Tests tab. Optionally, you may click the Suppress All Connection Prompts check box to prevent any connection change prompts from appearing during test runs.

  4. In the Run tab, click the Run button to run the tests that have been selected under the Select Tests tab.

  5. In the Results tab, right-click anywhere in the upper pane and select Run checked tests.

· Settings to optimize test runs


Settings to optimize test runs

Keysight D9010SFPC SFP+ Test Application Online Help > Running Tests > Settings to optimize test runs

Settings to optimize test runs

The settings that you may configure in the Run tab are:

Sequencer

From the drop-down options for Run tests, choose one of the following options:

· Once — Test Application runs the selected tests only once. This is the default option.

  • Skip completed—When running selected tests only 'once', you may optionally select whether to skip those tests that have completed running, to avoid re-run of such tests. This option is helpful when you manually abort a test plan from running and do not want to re-run completed tests.

  • Show Status—To find out the tests that have completed running in a test plan, you may view the test plan completion status. As a good practice, you may check the test plan completion status to verify whether or not you can select the Skip completed option. The Messages area displays the TestPlan Completion Status, the details for which are displayed on the right pane. Scroll down to view the entire status.

· Forever — Test Application runs the selected tests indefinitely until you click the Stop button to manually abort the operation.

· N Times — Test Application runs the tests for a definite number of times, defined by "N". By default, N = 2 indicating that the selected tests will run twice. You may modify the value for N (a definite positive whole number) and optionally, select the Pause in between check box so that the Test Application pauses between each round of test run. You must manually click Resume in the Run tab to resume test runs.

Note

· While you may select the Skip completed check-box either for Forever or N times, it will not accomplish the purpose of running and repeating each completed tests for several trials.

Result Tags

The Result Tags section allows to add and apply tags to the test results available in the Results tab. These tags could be used to provide any additional information about the test results (such as measurement settings or test observations), which may be helpful later for test result analysis. By default, there are no result tags available within the test application.

The Result Tags section consists of a Configure button and a table to list all the available tag names and their associated values. By default, this table is blank.

· Configure: This button allows to add, edit, or delete tags.

· Name: This column displays the names of the existing tags. By default, this column is blank.

· Value: This column displays the alphanumeric or numeric values defined by you for each tag name. By default, this column is blank.

To know more, please see Configuring Result Tags page.

Event

Select the Detect Events check box to view the options available for the event condition that may occur and the corresponding action that the Test Application will perform when the event condition is met. By default, the option to Detect events is unchecked.

The event conditions appear as When detect: drop-down options. The corresponding action appear as do: drop-down options.

Following event types can be set to be detected by the Test Application:

· Fail—Test Application detects the status of one of the selected tests as FAIL.

· Pass —Test Application detects the status of one of the selected tests as PASS.

· Margin < N—Test Application detects that the margin, which is the deviation of the measurement result from the pre-defined pass limits, is less than the specified value of N. Here, N represents the minimum required margin in percentage. By default, the minimum margin permissible is 10%. You may modify this value in the associated field.

Note

· The condition Pass is unavailable if Store Mode is set to Worst whereas the conditions Fail and Margin are unavailable if Store Mode is set to Best. The Test Application displays a Test Warning prompt when the criteria for the unavailability of any event condition is met.

Following action type can be selected to be performed by the Test Application upon the occurrence of one of the event types described above. Note that the selected action is performed immediately upon the first instance of the event occurrence.

· Continue—Test Application continues to run tests even when the defined event condition is met.

· Pause—Test Application pauses the test run as soon as the defined even condition is met. You must manually click Resume in the Run tab to resume test runs.

· Stop—Test Application aborts the test run as soon as the defined even condition is met. If you choose to run tests, the Test Application will restart (and not resume) test runs all over again.

Store Mode

Select the type and number of trials you want to see details for, especially when running more than one tests multiple times. To define the 'number of trial details' that can be stored, see Setting Results Preferences. These details include such things as "Additional Info" (as shown in the Results tab) and screen shots. However, there is no limit to the number of trials that are tracked in the statistics, and you can also export all trial values (including additional info) to a CSV file.

· Worst — Test Application stores result details of all such trials, which are identified as Worst trials.

· Best — Test Application stores result details of all such trials, which are identified as Best trials.

· Last — Test Application stores result details of the last 'N' trials, where N is defined in the Results tab of the Preferences window.

Note

· The Test Application determines the Worst and Best trials based on the margin calculated for the selected trial type. The most recent trials are displayed when Last is selected as the type of trial.

· If you modify the Store Mode setting while certain test results exist in the Results tab of the Test Application, the Delete All Existing Test Results? prompt appears. Clicking OK removes all existing test results. Keysight recommends saving the test project before modifying the Store Mode value.

Email

The Test Application facilitates notifications through emails whenever the Test Application pauses or stops during test runs. This feature is useful especially for remote users, so that they are made aware that manual intervention is required.

  1. Select the Send email when run is paused or stopped check box.

  2. Enter the To: and From: email addresses and the host name of the SMTP Server:.

· Configuring Automation in the Test Application


Configuring Result Tags

Keysight D9010SFPC SFP+ Test Application Online Help > Running Tests > Configuring Result Tags

Configuring Result Tags

Result Tags section allows to:

  • Add Result Tags

  • Modify Result Tags

  • Delete Result Tags

Adding Result Tags:

Tags for the test results can be added in the test application,

  • Before starting a test run or

  • After the completion of a test run

The tags added before starting a test run will be applied automatically to the test results achieved after the test run completion. However, the tags added in the application after a test run completion need to be manually applied to the test results. For more details, please refer to Adding Result Tags before Test Run and Adding Result Tags after Test Run sections.

Adding Result Tags before Test Run

  1. In the Select Tests tab, please select the required test(s) to run. For example, in the image below, the Test#1 for Group1 test has been selected.

  2. In the Run tab, under the Result Tags section, click the Configure button. The Configure Result Tags window will appear with the Tags section. By default, there are no tags listed under the Tags section.

  3. Under the Tags section, click the Add... button. The Single and From File options will appear.

  4. To add tags, select either Single or From File option.

  • Single: This option allows you to add one tag at a time. By default, this option is selected. You can define the following tag properties:

      • DataType: Defines the type of the tag. By default, the Text type is selected. From the drop-down options, select any one of the following option:

      • DateTime — date and time to the tag, in YYYY-MM-DD hh:mm:ss::nnn format.

      • Decimal — decimal value.

      • Integer — integer value

      • Text — alphanumeric text value

      • Version — version number value

      • Boolean — boolean value (TRUE / FALSE or YES / NO)

    • Name: Name of the tag. In the text field, enter an appropriate alphanumeric value as the tag name.

    • Units: This text field gets enabled only if Decimal or Integer DataType is selected. Enter the required unit type in the field.

    • Precision: This text field gets enabled only for the Decimal DataType. Select the required numeric precision value from the drop-down box.

  • From File: For bulk operation, please select the From File option, and upload the tags file (containing all the required tags) from the system. It is a .txt or text file.

  • In the Full Path text field, please type/paste the entire tags text file path or use the Browse... button to navigate to the file location, and select the file.

    Note

    You may use Notepad or any other program to create a text file in the following format:

    DataType=<type>|Name=<name>|Units=<units>|Precision=<precision>

    DataType=<type>|Name=<name>|Units=<units>|Precision=<precision>

    .

    .

    .

    DataType=<type>|Name=<name>|Units=<units>|Precision=<precision>

    Please remember that each tag property must begin with a new line.

  • If you have used the Browse... button to navigate to the file location, in the Open dialog box, please select the desired file, and click Open.

  • The Full Path text field is populated with the selected file location.

    5. Once the tags are added using either Single or From File option, under the Tags section, click the OK button to save the tags. The tag names are added to the tabular view as shown in the image below.

    6. Define values for the added tag names. Click in the Value text box and enter the value in alphanumeric or numeric format.

       At this point, you may optionally perform one of the following actions in the Tags section:

  • Click the Add button if you wish to add more tags using Single or From File options. Repeat steps 3 to 7 in this section to add more tags.

  • Click the Edit button if you wish to modify the added tags. The tabular view will change to edit mode. Refer to the Modifying Result Tags section.

  • Click the Remove button if you wish to remove one or more tags. Refer to the Deleting Result Tags section.

  • Click the Move Up... or Move Down... to change the order of added tags, in the sequence you wish to apply tags to the test results. For a single tag, these buttons will remain disabled.

    7. Click the OK button in the bottom-right corner of the Configure Result Tags window. The window will close and the added tag names and associated values are listed under the Result Tags section in the Run tab.

    8. Once the tags are added in the Configure Result Tags window using the Configure button, then on performing a test run, the test application will apply the tags to the test results in the following manner:

  • For the new test results that were generated after the test run completion:

  • The tags available in the Configure Result Tags window will be applied to the test results along with their defined values. For example, in step 1, the Test#1 for Group 1 Test was selected for a test run, therefore the tag is applied to its results (as shown in the image below).

  • For all the test results existing in the Results tab before starting a test run:

    • The tags not available in the Configure Result Tags window will be deleted from all the test results.

    • The tags available in the Configure Result Tags window will be added to all the test results, with N/A values indicating that tags are not applicable. You can modify these tags later, if required. To modify tags, refer to "Modifying Result Tags" section.

    • Additionally, the tags applied to the test results are also displayed in the test results available in the HTML Report tab. The highlighted section in the image below shows an example of a tag added to the test. results.

Adding Result Tags after Test Run Completion

If you add tags after a test run completion, then you need to manually apply tags to the test results. To do so, perform the following steps:

  1. In the Results tab's upper pane, select the test result for which you wish to add a tag. For example, in the image below, the Multi-Trials Measurement Table result is selected in the upper pane and its associated results (trials) are displayed in the lower pane.

  2. To add a tag to a specific trial, right-click in the lower pane after selecting the required trial. Click Manage tags for selected trial option.

  3. Tag Trials window appears which shows the tests that are a part of that trial .

  4. Click OK to open the Configure Result Tags dialog box.

  5. To add tags, repeat steps 3 to 7 of the Adding Result Tags before Test Run section, and click OK. The application will apply the tags to the test results in the following manner

· For all the tests that are a part of the selected tests' trial:

· The tags available in the Configure Result Tags window will be added to the test result along with the associated values.

· For all other results/trials:

· The tags not available in the Configure Result Tags window will be deleted from all the test results.

· The tags available in the Configure Result Tags window will be added to all other test results/trials with N/A values indicating that the tags are not applicable to the test results/trials.

Modifying Results Tags

  1. In the Run tab, under the Result Tags section, click the Configure button. The Tags section will appear with the list of available tags.

  2. Click on the tag row that you wish to edit (as highlighted in the above image) and click the Edit button. The selected tag will open in the edit mode.

  3. Edit the desired tag properties and click the OK button to save the changes or click Cancel button to discard the changes. The Tags section will appear with the list of updated tags. You can modify the tag values by clicking in the Value text box, if required.

  4. Alternatively, you can modify the applied tags in the Results tab, to do so:

  • In the Results tab's upper section, select the test name. The tag applied to that test result will display in the Additional Info section (as shown in the image below).

  • To modify the applied tag, in the lower pane, right-click on the tag. The Manage tags for selected trial and Delete selected trial menu options will display.

  • Click the Manage tags for selected trial option. Tag Trials dialog box appears, showing a list of test results that are a part of the same trial as the selected test. The tags and subsequent tag values will be applied to all these tests listed in the Tag Trials dialog box .

  • Click OK to proceed. The Configure Result Tags window will appear with the list of available tags. To modify tags, repeat steps 2-3 of the "Modifying Result Tags" section. The modified tags will be updated for the selected test trial.

Deleting Results Tags

To delete the result tags that you added in the application:

  1. In the Run tab, under the Result Tags section, click the Configure button. The Configure Results Tags window will appear the list of available tags.

  2. Under the Tags section, click the Remove... button. Select one or more tags using the available check boxes. Click OK to delete the selected tags.

· Configuring Automation in the Test Application


Configuring Automation in the Test Application

Keysight D9010SFPC SFP+ Test Application Online Help > Configuring Automation in the Test Application

Configuring Automation in the Test Application

The Test Application gives you the option to construct, save and run scripts using ARSL commands in the Automate tab, such that you could automate one or more test run procedures. You may also automate the Test Application using the KS8400A Test Automation Platform (www.keysight.com/find/tap) as well as using other external programs. See the Keysight N5452A Remote Toolkit (www.keysight.com/find/rpi) for details.

· Select Script to view and select ARSL automation commands associated with certain (but not all) features in the Test Application. For more information about its functionality, see Using Script for automation.

· Select Files to load pre-constructed ARSL automation scripts, which have been saved either in ARSL or in txt file format. For more information about its functionality, see Using Files for automation.

· To start running the automation script or files, see Running Automation Script or Files.

· Click Settings... to view the characteristics of each automation setting.

· Using Script for automation


Using Script for automation

Keysight D9010SFPC SFP+ Test Application Online Help > Configuring Automation in the Test Application > Using Script for automation

Using Script for automation

This option helps you manually construct a script that can be run for automation.

  1. If known, type the ARSL commands on the text board in the Automate tab. Else, click Commands....

  2. On the Create Automation Commands dialog window that appears,

    • select Single Command and choose one or more actions under the available tabs and view the ARSL automation command corresponding to the selected action. Some actions have a common syntax. In such cases, you must assign values corresponding to the action you wish to be run in automation.

    • select Entire Script and choose one of the actions to view the corresponding set of commands that form the script to accomplish the selected action.

    • select Automation Control and choose one of the actions to introduce pauses during automation script runs.

      • Message—Prompts a user-defined message. Automation is paused until you click the Resume button.

      • Pause—Prompts a generic message. Automation is paused until you click the Resume button.

      • Sleep—Automation is paused without any prompts and automatically resumes after the specified duration (in milliseconds) elapses.

  3. For each action you select,

    • Click Include Instructions as Comments (lines starting with #) check box to view instructions to use the selected command or script. These are included in the script as comments.

    • Click Copy to Clipboard to paste the selected command/script in another text editor (Notepad, Wordpad and so on).

    • Click Append to Script to paste the selected command/script on the text board in the Automate tab.

    • Click More Info to read information about ARSL commands.

    • Click Close to return to the Automate tab.

  4. Once you have appended the script, replace the variables (denoted by words with all capital letters) in each command with the actual values. You must enable remote interface hints to view the ARSL values that corresponds to a test ID or to various configuration options. As mentioned earlier, some actions have a common syntax. Assigning proper values to variables indicates the action you wish to be performed. For information on enabling and viewing remote interface hints, see Setting Remote Preferences.

  5. Click Save As... to save the automation script on-display in (*.arsl or *.txt) file format.

  6. Prior to running the displayed script, you may validate a single command's syntax along with the outcome of running the command. Type the command with its variables replaced with actual values in the Try a command: field and press the <Enter> key. If the output has a visible effect, the corresponding tab or feature displays the output and the changes made.

· Using Files for automation


Using Files for automation

Keysight D9010SFPC SFP+ Test Application Online Help > Configuring Automation in the Test Application > Using Files for automation

Using Files for automation

  1. To load and run pre-constructed ARSL automation scripts, which have been saved either in ARSL or in txt file format, select Files.

  2. Click Add... to load one or more ARSL (*.arsl) files or Text (*.txt) files. You may run the files in the order they are displayed in the Automate tab.

  3. Select a row and perform one of the following actions:

  1. Click Edit... to modify/update the file contents (by adding or removing commands/scripts) in a text editor on your machine.

  2. Click Remove... to delete the file from the list in the Automate tab. Click OK on the Confirm Action prompt that appears.

  3. Click Move Up... or Move Down... to change the order of files, in the sequence you wish to run each Automated script.

· Running Automation Script or Files


Running Automation Script or Files

Keysight D9010SFPC SFP+ Test Application Online Help > Configuring Automation in the Test Application > Running Automation Script or Files

Running Automation Script or Files

  1. In the Script mode, click the Start button to run the displayed commands or script.

  2. In the Files mode, click the Start button to run the files in the order they are displayed in the Automate tab.

  3. To pause automation at any point, click Pause.

  • If paused, click Resume to continue Automation.

  4. To abort automation before completion, click Stop.

Note

· Depending on the type of commands used in the script or files, you may have to address any prompts or pop-up messages for continuation.

· Viewing Results


Viewing Results

Keysight D9010SFPC SFP+ Test Application Online Help > Viewing Results

Viewing Results

When the Test Application finishes performing test runs, the results of all selected tests are displayed in the Results tab. The test results are displayed along with the test indicators, pass/fail limits, trials and reference images (such as eye diagrams, signal waveforms and so on).

By default, the Test Application's preferences setting (see Setting Run Preferences) causes the Results tab to be displayed immediately after the selected tests are performed on the Device under Test (DUT).

· The upper pane displays a summary of each test that was selected to run in a project. By default, the elements of the worst trial (in case of two or more trials) in each test are displayed in this area. See Setting Results Preferences to change the order of display.

· Highlight a test result to view detailed information associated it, in the lower pane.

· The main elements of the test results displayed under the Results tab are:

  1. Trial Summary—The count of the trials run for the highlighted test result is displayed.

  2. In the area to the right of Trial Summary, various attributes of the test result are displayed.

  3. In the third area from the left, certain parameters, which were used for measurement along with their values are displayed.

  4. In the fourth area, which may appear only for some tests, a reference image is displayed, which is captured by the Test Application for each trial of the test.

Deleting trials & test results

[Caution]

Test results that are deleted cannot be retrieved, unless they are saved. Keysight recommends saving your test projects before you proceed with deleting test results. See Saving Test Projects to know about how to save test projects.

To delete one or more trials or test results that are displayed in the upper pane of the Results tab:

  1. Highlight one or more test results and press the Delete key on the keyboard. In the Confirm result deletion prompt, click OK to permanently delete the selected results.

  2. To delete all trials of a specific test result, right-click the test result and select Delete all results for selected test.... In the Confirm Deletion prompt, click OK to permanently delete all trials of the selected result.

  3. To delete all test results simultaneously, select Delete all results for ALL tests... from the right-click menu. In the Confirm Deletion prompt, click OK to permanently delete all test results.

To delete a specific trial, which is displayed in the lower pane, for a specific test result:

  1. Right-click in the area that shows the parameters and values.

  2. Select Delete this trial. In the Confirm result deletion prompt, click OK to delete the trial.

Alternatively, select the trial summary row in the statistics pane and press the Delete key on the keyboard.

· If there are any additional results associated with the test result, the Delete Trials window appears showing such associated test results and their trials, which will be deleted simultaneously if selected.

· When one or more (but not all) trial of a test result are deleted, the count of trials for all test results are renumbered by the Test Application. The renumbered count is displayed in the upper pane of the Results tab.

Optionally, use the right-click menu options in the Select Tests tab to delete one or more results of the tests. For more information, see Selecting Tests.

Note

· If a test has a non-range limit of 0, that is, value < 0, the test application provides a nominal value. The nominal value produces a non-infinite margin and is used to declare the 100% margin point. You can view the assigned nominal value on the description pane.

Exporting measurement results

You may export the measurement results locally in the CSV file format. For more information, see Exporting Test Results in CSV format.

Alternatively, measurement results can be exported to an external web repository, such that the reports are accessible even by remote users. For more information, see Exporting Measurement Results to Web Repository.

· Viewing HTML Test Report


Viewing HTML Test Report

Keysight D9010SFPC SFP+ Test Application Online Help > Viewing HTML Test Report

Viewing HTML Test Report

Each time you perform test runs on the Test Application, it generates a test report in an HTML format, which can be viewed under the HTML Report tab.

A Test Report, which is a systematic layout of the configuration data followed by the resulting information, is displayed under this tab after each set of test runs on the Device under test (DUT). You may use these reports to perform a proper analysis of the measurement data to understand the root cause, if test failures occur.

Note

· If you are using the Keysight UXR Oscilloscope to run the Test Application, the Infiniium SW Version, Infiniium Model Number and Infiniium Serial Number will display the corresponding information in the first two screenshots.

  1. Click Refresh to view the HTML Report for the tests that are run in the current instance of the project.

  • The Overall Result indicates if the current set of test runs have passed or failed. Even if one trial of a test does not meet the specifications defined, this field shows FAIL.

Understanding the HTML Report

The HTML Report, which is generated after running tests using the Test Application, has different sections.

· The top section of the HTML Report contains the report header, which provides an overview of the most recent test run and the parameters configured within the Test Application. It has information about the oscilloscope used to perform the test: the version of the Oscilloscope's application, the model number and the serial number of the Oscilloscope as well as the date and time the test was performed. Information entered and selections made in the Set Up tab are also displayed in this box.

· The Summary of Results section gives an overview for each of the tests that were run. The Pass column indicates wether the tests passed or failed. The Actual Value column shows the actual case value across all of the trials. The Margin column shows the percentage of pass or fail and its criticality, depending on the criteria set for the Margin Thresholds (under the Preferences dialog).

Note

If a test has a non-range limit of 0, that is, value < 0, the Test Application provides a nominal value. This nominal value produces a non-infinite margin and is used to declare the 100% margin point. The assigned nominal value can be viewed at the description pane.

· The Report Detail section shows the detailed statistics for each of the selected measurements. Scroll down to view the details for the rest of the test results.

Exporting HTML Report

As mentioned earlier, the HTML Test Report generated within the Test Application can be leveraged to perform measurement data analysis. See Exporting HTML Test Report to know how to export the contents of the HTML Report tab either in HTML file, PDF file or both formats.

· Exiting the Test Application


Exiting the Test Application

Keysight D9010SFPC SFP+ Test Application Online Help > Exiting the Test Application

Exiting the Test Application

To exit the Test Application,

  1. From the Test Application's main menu, click File > Exit....

  • If there are any unsaved changes to the Project you are currently working on, the Save Changes? prompt appears.

  • Click Yes to save the project. Refer to Saving Test Projects.

  • Repeat step 1.

  • The Exit? prompt appears.

  2. Click OK to close and exit the Test Application.

  3. On the following prompt, click Yes to restore Oscilloscope settings to default, else click No.

· Additional Settings in the Test App


Additional Settings in the Test App

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App

Additional Settings on the Test App

Note

· Keysight uses a standard framework for development of various Test Applications. The functionality of the various features, which are described in the upcoming sections, is the same across various Test Applications. Therefore, any illustration that pertains to "Reference Test Application" will appear in the same manner on the Test Application you are using.

The Test Application consists of various settings to customize the appearance of the User Interface and to optimize the way tests are run and along with option to save or upload data in various formats.

For more information on the features within the Test Application, see:

· Customizing the Test Application

· File menu options

· View menu options

· Tools menu options

· Help menu options

· Controlling the Application via a Remote PC

· Using a Second Monitor

· Customizing the Test Application


Customizing the Test Application

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Customizing the Test Application

Customizing the Test Application

There are certain features available in the Test Application user interface, which help you customize the application layout for ease-of-use.

· You may use the drop-down options to the right of the window to switch between tabs.

Resize dialog windows and sections

The Test Application enables resizing sections, dialogs and the entire Test Application framework.

· Use the minimize and maximize buttons on the top right corner.

· Use the mouse cursor to drag and resize either sections within the application or the entire application window.

· You may alter the dimensions of certain dialog windows and reset the size of any such altered dialog windows with a single-click. For more information, see Resetting Dialog Window Sizes.

· The various tabs that appear on the Test Application are movable as well as alterable in dimensions. You could also reset the display of all such tabs with a single-click. For more information, see Resetting Tab Layout.

Messages

The Messages area, which appears under each tab within the application framework, displays a log of the events and the responses to certain prompts that pop-up during working on the Test Application. You may click any entry in the left pane to see its associated details on the right pane.

Status and Prompts

The horizontal pane below the Messages area of the Test Application displays the status and some prompts associated with an event, such as opening a new/existing project, running tests, connection status, changing connections and so on. Each status has a unique color code that appears on the background. A few examples are shown below:

  • Status when opening another project.

  • Status when tests are running.

  • Prompt to append or replace test results before tests begin to run. Also, a status to respond to the prompt.

  • Additional status about the connection.

· File menu options


File menu options

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options

File menu options

The following sections explain the functionality and usage of various features that appear under the File menu of the Test Application.

· Saving Test Projects

· Exporting or Importing Project as Zip

· Exporting Test Results in CSV format

· Exporting HTML Test Report

· Exporting Measurement Results to Web Repository

· User-Defined Add-Ins

· Printing HTML reports

· Saving Test Projects


Saving Test Projects

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Saving Test Projects

Saving Test Projects

It is a good practice to save your current project at frequent intervals to prevent unwanted loss of data, test results or even settings/configuration. Project files are saved with the extension (*.proj).

  1. From the test application's main menu, click File > Save Project or Save Project As... or Save Project (Settings Only) As...

Save Options | Description
Save Project | This option allows to save a new project to either a User or Previous location. Once a location is selected for a project, it simply saves the project to that location. The option to choose a location is available for a new project only once. Then, subsequent clicks on the option will save the project exactly in the same location.
Save Project As... | This option allows to save a project to either a User or Previous location. Unlike the simple Save Project, this option prompts a user to select a location everytime.
Save Project (Settings Only) As... | This option allows to save project settings only to either a User or Previous location. This option prompts a user to select a location everytime.

Browse Location | Description | Example
Previous | Any location from where the last project was opened or exported to. | <any system location>
User | Default location where the application saves or exports the projects. | \C:\Users\Public\Documents\Infiniium\Apps\SFP+Test

  2. The Choose Browse Location window appears. From the Use Location drop-down options, select the location (Previous or Users) and click the Go button to navigate to the selected location.

  3. In the Save Project As dialog box, you may click Browse to select a custom location, or simply click OK to save the project at the displayed location.

  4. If the Browse button is clicked, Browse For Folder dialog box appears, please select the required location, and click OK.

· Exporting Test Results in CSV format


Exporting or Importing Project as Zip

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting or Importing Project as Zip

Exporting/Importing Projects in Zip Format

The application allows to directly export/import a project in compressed zipped format.

Exporting Project to Zip Format

  1. From the test application's main menu, click File > Export Project (.zip) or Export Project (.zip) As...

Export Options | Description
Simple Export Project | This option allows to export a new project to either a User or Previous location. Once a location is selected for a project, it simply exports the project to that location. The option to choose a location is available for a new project only once. Then, subsequent clicks on the option will export the project exactly in the same location.
Export Project As... | This option allows to export a project to either a User or Previous location. Unlike the simple Export Project, this option prompts a user to select a location everytime.

Browse Location | Description | Example
Previous | Any location from where the last project was opened or exported to. | <any system location>
User | Default location where the application saves or exports the projects. | \C:\Users\Public\Documents\Infiniium\Apps\SFP+Test

  2. In the Choose Browse Location dialog box, please select a location as Previous or User, and click the Go button.

  3. In the Save Project As dialog box, you may click Browse to select a custom location, or simply click OK to save the project at the displayed location.

  4. If the Browse button is clicked, Browse For Folder dialog box appears, please select the required location, and click OK.

Importing Project to Zip Format

  1. From the test application's main menu, click File > Import Project (.zip).

  2. In the Open window, please select the compressed zipped project folder and click Open.

· Exporting or Importing Project as Zip


Exporting Test Results in CSV format

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Test Results in CSV format

Exporting Test Results in CSV format

The Test Application provides for CSV (Comma-Separated Values) file export in two formats, which are denoted as 1 and 2. By default, the Test Application's Preferences setting is configured to generate the CSV files in Format 1. The difference between Format 1 and Format 2 is that the latter includes the unit of the tested parameter and an additional row named PASSED, with the adjacent row indicating either TRUE or FALSE denoting status of each test. To modify CSV export preferences on the Compliance Test Application, see Setting Miscellaneous Preferences.

  1. From the Test Application's main menu, click File > Export Results... > CSV.

  2. In the Export CSV Results window that appears, save the CSV file in your preferred folder location.

  • Keysight recommends using MS Excel to open such CSV files to clearly distinguish between the layouts of formats 1 and 2. You may upload such CSV files (in the xls format) for analysis using the Keysight KS6800A Series Analytics Software. Refer to the Document Library for the KS6800A Data analytics software to know how to import such CSV measurement data.

· Exporting HTML Test Report


Exporting HTML Test Report

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting HTML Test Report

Exporting HTML Test Report

  1. From the Test Application's main menu, click File > Export Results....

  2. To export the HTML test report in the preferred format (HTML or PDF), click one of the options in this menu.

To export test report in HTML format

You may export the test reports in HTML format using Single-File or Multi-File mode.

Single-File mode

To save a single-file report,

  1. Select HTML > Single-File... from the Export Results... menu options.

  2. In the Choose Browse Location dialog box, please select a location as Previous or User, and click the Go button.

  3. On the Export MHTML Report window that appears, choose an appropriate folder location on the local disk and click Save.

  • The Test Report is saved in the Web Archive, single file (*.mht) format.

Multi-File mode

Selecting the multi-file option exports the results as a set of separate image and HTML files. The Test Application creates a folder with the specified name that may be copied to any computer. For large reports, where you may prefer using hyper links within the report,

  1. Select the HTML > Multi-File... from the Export Results... menu options.

  2. In the Choose Browse Location dialog box, please select a location as Previous or User, and click the Go button.

  3. In the Save Report As window that appears, the default name for the report is suffixed with the date & time stamp for easy identification. You may modify the report name and location in the respective fields. Use the Browse... option to select another folder or to create a new folder to save the report.

  4. Click OK to save the changes.

  • The Test Report is saved in the *.html format.

To export test report in PDF format

The Test Application provides you the option to export results in the PDF file format.

  1. Select PDF from the Export Results... menu options.

  2. In the Choose Browse Location dialog box, please select a location as Previous or User, and click the Go button.

  3. In the Export PDF Report window that appears, navigate to the desired folder to save the test report in the Automated Test Report (*.pdf) file format.

  • Note that by default, the generated PDF report displays each test report in a single-flow, without page breaks in the layout of the test results. To enforce page breaks between test results in a PDF report, see Setting Results Preferences. Generate the PDF Report again to view each test result on a new page.

· Exporting Measurement Results to Web Repository


Exporting Measurement Results to Web Repository

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Measurement Results to Web Repository

Exporting Measurement Results to Web Repository

The Upload Results To Repository feature is an add-on to the Keysight Test Application, where it expands the boundaries of storing and analyzing the measurement results to a wider audience, who may be based in multiple sites across various geographical locations. Along with the feature of exporting test results from the Test Application into your local disk in a CSV or HTML file format, you have the option to upload the test results to a Dataset on a Web Repository. Based on your requirements, you may either upload only a single measurement trial or upload huge volumes of measurement results to any Dataset.

Not only can remote users with an active internet connection access these Datasets and the corresponding test results on the Web Repository, but they have the option to add and delete Datasets on the Web Server. In the Upload Results To Repository feature, you can even modify the Dataset properties, which are helpful especially when performing a graphical analysis of the uploaded data.

In combination with the Keysight KS6800A Series Analytics Software, the Upload Results To Repository feature provides a comprehensive solution to export, view and perform analysis of the measurement results, thereby resulting in qualitative data to ensure that the Device Under Test (DUT) is compliant to the industry standards.

To understand the functionality of the Upload Results To Repository feature, see:

· Launching the Upload Results to Repository window

· Connecting to Dataset Web Server

· Accessing Service Account Credentials for Test Application

· Accessing the Web Repository for Datasets

· Selecting a Dataset

· Selecting and Uploading Measurement Results

· Defining and Modifying Dataset Properties

See Also

· Keysight KS6800A Series Analytics Software Online Help

· Launching the Upload Results to Repository window


Launching the Upload Results to Repository window

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Measurement Results to Web Repository > Launching the Upload Results to Repository window

Launching the Upload Results to Repository window

To launch the Upload Results to Repository window, test results must be displayed within the Results tab, either by running tests or opening a project that contains test results.

By default, for a new project, the Export Results... option is grayed in the File menu.

  1. If you have already run one or more tests, click File > Export Results... > Repository.

  • The Upload Results to Repository window appears.

  2. Click [image] if you wish to return to the Test Application view.

· Connecting to Dataset Web Server


Connecting to Dataset Web Server

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Measurement Results to Web Repository > Connecting to Dataset Web Server

Connecting to Dataset Web Server

To export the measurement results to one or more Datasets from the Keysight Test Application, you must connect to the Web Server, where the Dataset is located. You may access the repository directly (without authentication) or enable authentication at the application level as well as on the Web Server, which can be accessed through a browser on your PC. Note that the user credentials that are used on the Test Application differ from those required to the login to the Web Server via a browser.

Refer to the Keysight KS6800A Series Analytics Software Online Help to know about how to access the contents of the Dataset web repository.

To connect to the Dataset Web server from the Upload Results to Repository window,

  1. Launch the Upload Results to Repository window. The Upload Results to Repository window appears.

  2. In the Connect to Server area, click the [image] button.

  • A URL: drop-down text field appears with a default entry https://address:port. Also, a Check button appears next to the URL field.

  3. Replace the default text with the actual IP address or the URL along with the port number, if applicable. You may enter the URL of the Web Repository server, which may be a self-hosted localhost server (http://localhost:5000/), a remote server or an authentication server. Note that all such URLs accessed via this window appear as a drop-down list in the URL: field.

  4. Click the Check button to verify that the KS6800A Series Analytics service is available on the specified web address.

Note

· You must click the Check button each time you edit the web address.

Unrestricted Access to the Repository

· If the server does not require authentication and the KS6800A Series Analytics service is found on the specified web address, the version information is displayed adjacent to the Check button. Also, the OK button gets enabled.

· If you click OK, the Upload Results to Repository window displays the connectivity status to the Web Repository.

· Click Browse... to navigate directly to the URL.

Restricted Access to the Repository

· If service is found on the specified URL but access to the web server is restricted based on authentication, the version information is displayed along with the text Authentication Required adjacent to the Check button. Also, the Username: and Password: fields appear. The OK button remains disabled until the authentication credentials are entered.

· Enter the user credentials in the respective fields, which are required for authentication to access those Datasets that have been created on the web server you are connecting to. For each URL that you access, the Username: drop-down box keeps a record and displays all user names used to access the respective URL.

Note

· To know your user credentials, contact your local administrator for the Keysight Cloud Services.

· If you are an administrator, you may access user credentials in the Service Accounts interface of the Keysight Cloud Services. For information regarding accessing user credentials, see Accessing Service Account Credentials for Test Application.

· To know about how to create Service Account credentials, refer to the Keysight KS6800A Series Analytics Software Online Help.

· Click [image] to connect to the entered URL/IP address.

  • The Connect to Server area displays the connection status along with the username.

  5. Click [image] to log off the current web repository.

  6. Repeat the previous above if you wish to connect to another web server or if you want to login as another user, that is, using a different username and password.

  7. Click [image] if you wish to return to the Test Application view.

· Accessing Service Account Credentials for Test Application


Accessing Service Account Credentials for Test Application

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Measurement Results to Web Repository > Accessing Service Account Credentials for Test Application

Accessing Service Account Credentials for Test Application

To connect to the KS6800A Web Server that contains the Datasets you wish to access via the Test Application, you must have a Service Account username and password. If authentication is enabled, the Service Account credentials are different from those required to access the KS6800A Series Analytics software. Both type of credentials are managed within the Keysight Cloud Services.

If you are administrator or have administrative privileges to manage user accounts via the Keysight Cloud Services, this section describes how to access the Service Account credentials only, which you may provide to individual users/user-groups, who must upload test results to the Web Repository, using the Test Application.

  1. Launch the Keysight Cloud Services on a web browser on your machine.

Note

· Contact your local administrator for Keysight Cloud Services credentials to manage service accounts.

  2. Login to the Keysight Cloud Services with credentials that have administrator privileges.

  3. By default, the Applications tab is displayed. Click the Accounts tab.

  4. By default, the entries created under Users are displayed. Click Service Accounts on the left pane.

  5. Under Service Accounts, three columns appear that contain the user credentials corresponding to a user/user-group, who are required to access the KS6800A Series Analytics Software via the Test Application.

  • Name—Actual name of a user or a user-group for whom the service account was created.

  • Client ID—the value that corresponds to the Username in the Upload Results to Repository window.

  • Client Secret—the value that corresponds to the Password in the Upload Results to Repository window.

Note

· The Client ID and Client Secret are generated once and do not change each time a user wishes to access the KS6800A Series Analytics Software via the Test Application.

  • For ease-of-access, a good practise is to e-mail the Service Account username and password to the user, who requires to login to the KS6800A Series Analytics Web Server via the Test Application.

· Accessing the Web Repository for Datasets


Accessing the Web Repository for Datasets

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Measurement Results to Web Repository > Accessing the Web Repository for Datasets

Accessing the Web Repository for Datasets

To access the Web Repository for Datasets, you may enter the URL / IP address in the web browser on your machine. You can access the KS6800A Series Analytics Software either locally or remotely. When you install the KS6800A Series Analytics Software on your local machine, it works as a self-hosted server and you can access the Database locally on your web browser using localhost in the URL. When you install the KS6800A Series Analytics Software on a remote machine, you can access the Database remotely on your web browser using the IP address of the remote PC in the URL. For more information on installing the KS6800A Series Analytics Software, refer to the Keysight KS6800A Series Analytics Software Online Help.

· To access the Web Repository from the Test Application,

  1. Ensure that the Test Application is connected to the web server. As show in the image below, the status in the Connect to Server area must display Connected to: <URL / IP address> as <username>. See Connecting to Dataset Web Server if the Test Application is not connected to the Web Repository for Datasets.

· If the KS6800A Series Analytics Web Server does not require authentication, the Upload Results to Repository window appears as shown below:

  2. Click the Browse... button to navigate to the KS6800A Series Analytics Software on the default web browser.

Note

· If enabled, the authentication for the KS6800A Series Analytics Software is controlled by Keysight Cloud Services. If you are a first time user or if you had logged off from the previous session, clicking the Browse... button launches the login screen, which pertains to Keysight Cloud Services.

  3. An alternate way to connect to the desired web server directly is using the View menu of the Test Application. For more information, see Accessing Data Analytics URL.

· Selecting a Dataset


Selecting a Dataset

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Measurement Results to Web Repository > Selecting a Dataset

Selecting a Dataset

A Dataset is a user-defined folder on the Web Repository that holds measurement results from the Test Application.

Each Dataset can be assigned a unique name and certain user-defined properties for easy identification on the Web Repository and the Test Application. Refer to the KS6800A Series Analytics Software Online Help to know about how to add and delete a Dataset on the web server. The Dataset names from the connected web server appear within the Upload Results to Repository window such that you can select a specific Dataset name to upload measurement results.

To select a Dataset,

  1. Ensure that the Upload Results to Repository window indicates that the Test Application is connected to a specific web repository. See Connecting to Dataset Web Server to know how to establish a connection with a specific URL.

  2. In the Select Dataset area, click [image] to view a list of Datasets that have been added in the connected Web Server.

  • If the Dataset that you wish to select does not appear in the list, click the [image] button to return to the default view of the Select Dataset area and click the [image] button.

  2. Repeat step 2 to check if the required Dataset appears in the list or not. If the Dataset still does not appear, check the Web Repository to verify whether or not the required Dataset has been added to the server. Refer to KS6800A Series Analytics Software Online Help if you are required to add a new Dataset.

  3. If found, click to highlight the specific Dataset name where you wish to upload the measurement results to and click the [image] button.

  • The Select Dataset area displays the selected Dataset as Active. Notice that selecting a Dataset enables the Measurements and Properties tabs.

  4. Repeat steps 1 to 3 if you wish to select any other Dataset from the Web Repository that the Test Application is connected to.

· Selecting and Uploading Measurement Results


Selecting and Uploading Measurement Results

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Measurement Results to Web Repository > Selecting and Uploading Measurement Results

Selecting and Uploading Measurement Results

Once you select the Dataset where you wish to upload the measurement results, the Measurements tab of the Upload Results to Repository window is enabled. The Measurements tab displays one or more groups of measurement results and the corresponding attributes for each test result. It gives you a wide range of options to select from and upload, that is, you may select and upload:

· one or more trials of a single measurement result

· one or more trials across various measurement sets / measurement types

· single, several or all measurement sets / measurement types

By default, the Measurements tab displays all sets (one or more) of measurement results that you may have run in an active project on the Test Application.

Note

In the active project on the Test Application, when you run tests for the first time, the measurement set and its associated trials are displayed under the Measurements tab and the Trial# column on the right pane displays 1 for each trial run. However, if you run another instance of the tests in the Test Application for the same project, there is a prompt from the Test Application to either Append or Replace existing trials.

If you select Append, the trials that are appended in the Results tab of the Test Application are simultaneously appended to Measurements tab of the Upload Results To Repository window. The new measurement set contains a combination of the next trial of any test that is run again and the first trial of a new test that may have been run.

If you select Replace existing trials, the trials that are removed from the Results tab of the Test Application are simultaneously removed from the Measurements tab of the Upload Results To Repository window. The new measurement set contains only the replaced results.

Grouping the Measurement Results

Using the Group by: feature in the Measurements tab, you may view and select the measurement results in two different ways.

To select a grouping method, click the drop-down arrow and select one of the entries.

· Run Start Time — Displays the measurement results based on the date and time (in YYYY-MM-DD hh:mm:ss::nnn format, where nnn is milliseconds) when the measurement set had started running on the Test Application. Note that the measurement sets are displayed in the increasing order of time. Each measurement set includes one or more trials of either one or several measurement types.

· Measurement Type — Displays the measurement results based on the measurement type name. Note that the measurement type names are listed in alphabetical order. Each measurement type includes the start time and duration of one or more its associated trials that have already been run in an active project of the Test Application.

Even though the manner of selecting and uploading the measurement items is the same for both the groups, each group has its unique way of displaying the measurement results.

Run Start Time

The left pane of the Run Start Time group has the following columns:

  1. Select check boxes — Select either one, more than one or all measurement sets whose corresponding measurement types you wish to view on the right pane.

  2. Run Start Time — Displays the date and time (in YYYY-MM-DD hh:mm:ss::nnn format, where nnn is milliseconds) when the measurement set had started running on the Test Application. Note that the measurement sets are displayed in the increasing order of time.

  3. Run Duration — Displays the time taken for the tests in each measurement set to finish running.

  4. Pending — Displays either All or Partial for each row of measurement set.

    • All indicates that on the right pane, you have selected all tests and associated trials of the corresponding measurement set.

    • Partial indicates that on the right pane, you have selected some (and not all) tests or associated trials of the corresponding measurement set.

  5. In Repository — Displays either NONE, PARTIAL or ALL for each row of measurement set.

    • NONE indicates that none of the trials in the measurement set have been uploaded to the web repository.

    • PARTIAL indicates that some, but not all of the trials in the measurement set have been uploaded to the web repository.

    • ALL indicates that all of the trials in the measurement set have been uploaded to the web repository.

Highlight a specific row, without selecting the check box, if you wish to simply view the measurement types and trials associated with a measurement set. The measurement types on the right pane are grayed out until you select the check-box for one or more measurement sets on the left pane.

The right pane of the Run Start Time group has the following columns:

  1. Select check boxes — Select either one, more than one or all measurement types whose trials you wish to upload.

  2. Measurement — Displays the measurement types. Note that the measurement types are displayed in alphabetical order.

  3. Limits — Displays the specification-based or user-defined pass limits configured in the Test Application before running the test trial. The value displayed here is the same as that displayed in the Pass Limits column of the Results tab in the Test Application for the respective test.

  4. Value — Displays the value attained by the Test Application after running the test trial. The value displayed here is the same as that displayed in the Actual Value column of the Results tab in the Test Application for the respective test.

  5. Trial# — Displays the trial number of a measurement type. Each trial of a measurement is included in a separate measurement set.

  6. In Repository — Displays either TRUE or FALSE for each row of measurement type.

    • TRUE indicates that the measurement trial has been uploaded to the web repository.

    • FALSE indicates that the measurement trial has not been uploaded to the web repository.

Note

As specified in the Upload Results To Repository window, each row in the Run Start Times group contains results from a single run of all selected tests. If you select N-Times in the Run tab of the Test Application, it produces multiple rows in this group.

Measurement Type

The left pane of the Measurement Type group has the following columns:

  1. Select check boxes — Select either one, more than one or all measurement types whose trials you wish to upload.

  2. Measurement Type Name — Displays the measurement types. Note that the measurement types are displayed in alphabetical order.

  3. Limits — Displays the specification-based or user-defined pass limits configured in the Test Application before running the test trial. The value displayed here is the same as that displayed in the Pass Limits column of the Results tab in the Test Application for the respective test.

  4. Pending — Displays either All or Partial for each row of measurement type.

    • All indicates that on the right pane, you have selected all trials of the corresponding measurement type.

    • Partial indicates that on the right pane, you have selected some (and not all) trials of the corresponding measurement type.

  5. In Repository — Displays either NONE, PARTIAL or ALL for each row of measurement type.

    • NONE indicates that none of the trials for the corresponding measurement type have been uploaded to the web repository.

    • PARTIAL indicates that some, but not all of the trials for the corresponding measurement type have been uploaded to the web repository.

    • ALL indicates that all of the trials for the corresponding measurement type have been uploaded to the web repository.

Highlight a specific row, without selecting the check box, if you wish to simply view the measurement sets and trials associated with a measurement type. The measurement sets on the right pane are grayed out until you select the check-box for one or more measurement types on the left pane.

The right pane of the Measurement Type group has the following columns:

  1. Select check boxes — Select either one, more than one or all measurement sets whose trials you wish to upload.

  2. Run Start Time — Displays the date and time (in YYYY-MM-DD hh:mm:ss::nnn format, where nnn is milliseconds) when the measurement set had started running on the Test Application. Note that the measurement sets are displayed in the increasing order of time.

  3. Run Duration — Displays the time taken for the tests in each measurement set to finish running.

  4. Value — Displays the value attained by the Test Application after running the test trial. The value displayed here is the same as that displayed in the Actual Value column of the Results tab in the Test Application for the respective test.

  5. Trial# — Displays the trial number of a measurement type. Each trial of a measurement is included in a separate measurement set.

  6. In Repository — Displays either TRUE or FALSE for each row of measurement type.

    • TRUE indicates that the measurement trial has been uploaded to the web repository.

    • FALSE indicates that the measurement trial has not been uploaded to the web repository.

Note

As specified in the Upload Results To Repository window, each row in the Measurement Type group contains results from all test runs of a selected test in the Test Application.

Selecting & Uploading Results

Irrespective of the grouping method you apply, the process of selecting and uploading the measurement results is the same for both groups.

  1. Click the [image] check box at the top if you wish to select all entries in the left pane.

Notice that the [image] button is enabled even if you select one trial on the right pane.

The Pending Upload Summary: pane displays "No measurements marked for upload" by default. The information in this pane changes as soon as you select one or more measurement sets. Notice that the Pending Upload Summary: pane displays a summary of the connection and the number of measurement results that are selected and ready for upload. The latter information varies if you select/deselect any measurement results or sets.

  2. You may deselect the check boxes on either side to reduce the number of measurement results to be uploaded.

  3. After you select the measurement types that you desire to export to the web repository and before you begin uploading, click the Properties tab to define or modify the properties of the selected Dataset.

Note

It is imperative that you define or modify Dataset properties before you begin uploading the measurement results to the Dataset on the web repository. Once the upload begins, you cannot associate any properties to the selected Dataset, which directly impacts the process of data analysis later.

  4. Click the [image] button to begin exporting the selected measurement results to the selected Dataset on the Web Repository that the Test Application is connected to. Notice that as soon as the Test Application finishes uploading, the Measurements tab returns to the default view.

· If you select any row, which you had selected earlier to upload measurement results, you will find that the uploaded trials are now grayed out and cannot be selected any further. Notice that the status of In Repository row in the right pane of the uploaded results has changed to True.

  5. Repeat steps 1 to 4 if you wish to select and upload some more or all measurement results to the Web Repository.

· Defining and Modifying Dataset Properties


Defining and Modifying Dataset Properties

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Exporting Measurement Results to Web Repository > Defining and Modifying Dataset Properties

Defining and Modifying Dataset Properties

The Dataset Properties define the metadata to the Dataset where you are uploading the measurement results to. While the Test Application automatically defines certain properties to your Dataset, you have the option to also assign similar or unique properties to the Dataset. Using Dataset Properties is optional; however, Keysight recommends using this feature before uploading measurement results to your selected Dataset. These properties provide unique identification to one or more set of measurement results when you perform Data analysis, such that you can make distinctions between a range of data for a specific measurement type.

Note

It is imperative that you define or modify Dataset properties before you begin uploading the measurement results to the Dataset on the web repository. Once the upload begins, you cannot associate any properties to the uploaded measurements in the selected Dataset. This may impact the process of data analysis later.

To access the Properties tab, select a Dataset whose properties you wish to add or modify. By default, the Properties tab appears as shown in the image below, without any measurement sets or measurement types selected under the Measurements tab. You may add / modify only user-defined properties to the selected Dataset.

When you select measurement results under the Measurements tab, the Properties tab appears similar to the following image.

The Properties tab consists of two categories of properties that you may associate with the measurements in a Dataset.

· App-Defined — lists the options that are pre-defined or selected within the Test Application for the selected measurements.

· User-Defined — lists custom property names that one or more users or administrators may have created for the selected Dataset. These property names could be used to define certain characteristics (such as, Engineer name & designation) of the measurement results, which may be helpful when performing data analysis.

Note

· For properties, whose values exceed 128 characters, only the first 128 characters are uploaded. Property values exceeding that character limit are highlighted and explanation text is included in the Pending Upload Summary area. In the User-Defined group, each entry field is limited to values with 128 characters only.

App-Defined Properties

The App-Defined properties consists of all such options/attributes within the Test Application, which you select/configure before running automated tests. The App-Defined properties are displayed under two sub-categories:

  • Selected measurements

  • Globals

Selected measurements

The properties displayed under Selected measurements are extracted from the "Additional Info" area within the Results tab and vary in number based on the selected number and type of measurement results.

Following image displays the attributes within the "Additional Info" area of the Results tab, which are extracted as properties.

Globals

The properties displayed under Globals are extracted from various tabs within the Test Application, that is, the Set Up tab, Configure tab and the "Test Session Details" area of the HTML tab.

Note

· You may select properties listed under either Selected measurements, Globals or both. If you select properties from both sub-categories, all selections are uploaded to the Dataset.

· You may find some common property names listed under both Selected measurements and Globals. In such a scenario, even if you select the same property under both the sub-categories, the Test Application uploads the property only once for a measurement result.

Features in the App-Defined section

The App-Defined section, in general, consists of features common to both property types. Notice that the properties are listed in a tabular format. Other features are:

· Show properties from: — Select either Selected measurements (Additional Ino values from Results tab) or Globals (Settings from Set Up, Configure and HTML Report tabs).

· Select check boxes — Select either one, more than one or all property names that you wish to define for the selected Dataset. Click the [image] check box at the top if you wish to select all app-defined property names.

· Name — The pre-defined property names, associated with one or more measurement results, are displayed.

· Value — Depending on the property type, a corresponding numeric or alphanumeric value is displayed for each property name.

· Reported With — Indicates whether the property name is associated with:

  1. One measurement type and one measurement set, or

  2. One measurement type and multiple measurement sets, or

  3. Multiple measurement types and one measurement set, or

  4. Multiple measurement types and multiple measurement sets.

· Name In Repository — Displays either TRUE or FALSE for each row of properties.

  • TRUE indicates that the property name has already been associated with a Dataset and has been uploaded to the web repository.

  • FALSE indicates that the property name has not yet been associated with a Dataset on the web repository.

In a real-time testing environment, the list of app-defined properties may become too long, thereby making it difficult for anyone to manage the list or even to recall whether or not certain property names have been defined for a Dataset. In order to avoid any conflicts and to avoid manual selection of properties every time, use the Auto... and Refresh buttons.

Auto...

· The [image] button provides the ability to:

  • always include only the desired properties before you upload measurement results to the selected Dataset.

  • always exclude only those properties that you would never want to associate with your measurement results in the selected Dataset.

Note

The Auto feature works in the same manner for both Selected measurements and Globals. However, you cannot interchange properties between the sub-categories to mark inclusion/exclusion unless the property name is common to both sub-categories.

  1. In the Show properties from: area, select either Selected measurements or Globals.

  2. Click the [image] button. The tabular view is replaced by the following options:

  2. Click the [image] check-box either for Use Always Include list (to always include some properties to the selected Dataset), for Use Never Include list (to always exclude some properties from being associated with the selected Dataset) or for both options (to define both type of properties simultaneously. When you select either one or both the options, the Full Path: text field and the Browse... button are enabled.

  3. In the Full Path: text field for the Use Always Include list, either manually type the entire file location for the property names text file (in the *.txt format) or click the [image] button to navigate to the folder where the property names text file is located.

    • To create a property names text file, open the Notepad editor, type the name of each property you wish to include or exclude and save the file on your local disk. Each property name must begin on a new line.

  4. In the Open dialog box, select the desired file and click Open. The Full Path: text field is populated with the file location for the property names text file.

  • If required, repeat the previous two steps for the Use Never Include list, making sure that you select the correct property names text file that contains the property names that you wish to exclude from the selected Dataset.

  • Notice the contents of the property names text file for Use Always Include list. It indicates that the app-defined property named "Allx_yProperty" will always be included in the selected Dataset, whenever measurement results that have this property are uploaded to it.

  • Notice the contents of the property names text file for Use Never Include list. It indicates that the app-defined property named "MinProperty" will always be excluded from the selected Dataset, whenever measurement results are uploaded to it.

  5. Click [image] to save the changes. Notice the change in the table of properties, where the check-box for "Allx_yProperty" is selected but grayed out (always included) and the check-box and contents for "MinProperty" are entirely grayed out (never included) for the selected Dataset.

  • Notice the text Auto Mode: [Meas] Always (m) + Never (n), where m and n indicate the number of properties under Selected measurements selected to be included or excluded. In this case, m = n = 1.

  • This text indicates that Auto mode for Selected measurements is enabled. The number within the parentheses indicates that one property name has been used in the Always Include list and Never Include list, respectively.

  6. Repeat steps 1 to 5, if you wish to include or exclude properties listed under Globals.

  • If you repeat these steps for Globals, the text Auto Mode: [Meas] Always (m) + Never (n) is modified to Auto Mode: [Meas] Always (m) + Never (n) + [Globals] Always (x) + Never (y), where m and n indicate the number of properties under Selected measurements and x and y indicate the number of properties under Globals selected to be included or excluded, respectively.

At this stage, you could either continue selecting/de-selecting property names manually, you could edit the property names text files on your local disk for the Always Include list or Never Include list for Selected measurements/Globals, or begin uploading the results.

Refresh

If you modify the property names text files on your local disk for the Always Include list or Never Include list, the Properties tab must reflect the changes.

For example, if you modify the text files, that is, the app-defined property names from Selected measurements "RangeProperty" and "MaxProperty" are added to the Always Include list whereas "SingleProperty" is added to the Never Include list, the Properties tab must detect these changes that you make in the Property Names text file.

One way is to repeat the steps described in the previous section to load the updated text files.

To avoid performing these steps every time you modify the Property Names text files, simply click the [image] button in the App-Defined section under the Properties tab. Notice the changes in the App-Defined section for the selected Dataset.

Once the App-Defined properties are selected, you may proceed with uploading the measurement results. If you wish to define custom property names prior to uploading measurement results, refer to the next section.

User-Defined Properties

The custom-defined properties for one or more measurement types, which you have selected under the Measurements tab, are listed under the User-Defined properties. There are no default user-defined properties within the Test Application.

Features in the User-Defined section

The User-Defined section consists of a table to list out all custom property names and their associated attributes, if they have already been defined, else by default, this table remains blank.

· Name — The property names that you assign to the selected Dataset or that have already been uploaded to the web repository, are displayed. By default, this column is blank.

· Value — An alphanumeric value, if defined, is displayed for each property name.

· Type — Displays the type of property selected when adding a new user-defined property, such that an appropriate value can be assigned to the property. The options are:

  • DateTime — assign date and time to the property, in YYYY-MM-DD hh:mm:ss::nnn format.

  • Decimal — assign a decimal value to the property.

  • Integer — assign an integer value to the property.

  • Text — assign an alphanumeric text to the property.

  • Version — assign a version number to the property.

  • Boolean — assign a boolean value, such as TRUE / FALSE or YES / NO, to the property.

· Name In Repository — Displays either TRUE or FALSE for each row of properties.

  • TRUE indicates that the property name has already been associated with the selected Dataset and has been uploaded to the web repository.

  • FALSE indicates that the property name has not yet been associated with the selected Dataset on the web repository.

· To start adding custom property names, click the [image] button.

    • The User-Defined section displays three options for you to add or select a user-defined property name from.

      1. New

      2. From File

      3. From Repository

New

This option lets you create a new property name of your choice. By default, this option is selected.

  1. From the drop-down options for Type:, select an option to define the type of property. By default, Text is selected.

  2. Enter an appropriate alphanumeric value in the Name: text field, which represents the property name.

  2. Click the [image] button. The property name is created and added to the tabular view. Notice that the Name In Repository column displays False, which indicates that this user-defined property name has not been uploaded yet to the Web Repository.

  3. Define a value to the property name. Click within the text box in the Value column and type an alphanumeric text.

  4. At this point, you may perform one of the following actions:

    1. Click the [image] button if you wish to begin uploading the measurement results to the Web Repository.

    2. Click the [image] button if you wish to create more user-defined property names. Repeat steps 1 to 3 in this section to add more properties and assign values to them.

    3. Click the [image] button, if you wish to remove one or more custom property names. By default, all user-defined property names are selected.

      • Remove the tick from the [image] check-box for the property name you wish to retain.

      • Click the [image] button.

      • The tabular view with the remaining property names appears. Click the [image] button again if you wish to use the other options in the User-Defined section.

From File

This option to define a new property name of your choice is similar to using the Auto... feature in the App-Defined section.

  1. Select From File to define property names saved on your local disk. The Full Path: text field and the [image] button are enabled.

  2. In the Full Path: text field, either manually type the entire file location for the Property Names text file (in the *.txt format) or click the [image] button to navigate to the folder where the Property Names text file is located.

    • To create a Property Names text file, open the Notepad editor, type the name of each property you wish to include or exclude and save the file on your local disk. Each property name must begin on a new line.

  3. In the Open dialog box, select the desired file and click Open.

  • The Full Path: text field is populated with the file location for the property names text file.

  4. Click the [image] button to save the changes. The property name is created and added to the tabular view. Notice that the property type is set to text, by default and the Name In Repository column displays False, which indicates that this user-defined property name has not been uploaded yet to the Web Repository.

  5. Define a value to the property name. Type an alphanumeric in each text box of the Value column.

  6. At this point, you may perform one of the following actions:

    1. Click the [image] button if you wish to begin uploading the measurement results to the Web Repository.

    2. Click the [image] button if you wish to remove one or more custom property names. By default, all user-defined property names are selected. This feature works in the same manner as described in the previous section.

    3. Click the [image] button if you wish to add more user-defined property names from the property names text file. Repeat steps 1 to 5 in this section to add more properties.

  • If you modify the property names text file to add more user-defined property names, you must add the modified file to the From File option:

  • The tabular view displays all property names defined in the property names text file and arranges the property names in alphanumeric order.

  • Define values to the new property names that have been added before you begin uploading the measurement results.

    • Click the [image] button again if you wish to use the other options in the User-Defined section.

From Repository

This option lets you select one or more property names that have been already defined for the selected Dataset and uploaded to the Web Repository.

If you have already uploaded some properties using the New and the From File options for a specific Dataset, the User-Defined section for the same Dataset appears as shown below:

  1. Click the From Repository radio-button to select a property name that may have been uploaded earlier.

  2. By default, all property names are grayed out. De-select and select again the [image] check-box at the top to select the [image] check-boxes for the individual property names.

  3. Click the [image] button to modify the values for each property name that you want to reuse.

  4. Define a value to the property name. Click within the text box in the Value column and type an alphanumeric text.

  5. At this point, you may perform one of the following actions:

    1. Click the [image] button if you wish to begin uploading the measurement results to the Web Repository.

    2. Click the [image] button if you wish to remove one or more custom property names. By default, all user-defined property names are selected. This feature works exactly as described in the previous section.

    3. Click the [image] button if you wish to add more user-defined property names using any of the options described earlier.

· User-Defined Add-Ins


User-Defined Add-Ins

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > User-Defined Add-Ins

User-Defined Add-Ins

If there are measurements that you wish to perform using the Test Application, which are not included in the default set of tests, you can use the Keysight D9010UDAA User Defined Application (UDA) tool to design and deploy an "add-in", or package of tests that can be imported into the existing Test Application.

The following sections describe how to install and remove such an add-in file generated via the UDA tool. The information to generate such an add-in is out of the scope of this document. Refer to the UDA documentation for information on how to create an add-in.

· To install an add-in


To install an add-in

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > User-Defined Add-Ins > To install an add-in

To install an add-in

Note

· You must install (or upgrade to) Keysight IO Libraries Suite version 18.0 or higher to install the UDA Add-In.

· Refer to Keysight D9010UDAA User Defined Application Software Document Library to know how to develop User-defined Add-In files.

  1. From the Test Application's main menu, click File>User Defined>Install Add-In.

  2. The Open window displays. Navigate to the location of add-in's installer (created by the UDA tool) on the local disk. Select the file and click Open.

  3. On the prompt that follows, click OK if you wish to proceed with the installation of the add-in.

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying installation. See Saving Test Projects.

  4. Upon clicking OK on the prompt above, the Test Application restarts after installing the add-in. Once the Test Application restarts, the Messages area indicates that the User Defined Add-In is loaded:

  • A pre-requisite for the visibility and selection of the user-defined custom add-in tests is that the Test Application must be configured in Debug mode under the Configure tab. After the add-in is installed and the Application restarts, the Configure tab has the Mode: selected as Debug, by default.

  • With the configuration set to Debug mode, note that any user-defined add-in tests are visible under the Select Tests tab.

· To remove an add-in


To remove an add-in

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > User-Defined Add-Ins > To remove an add-in

To remove an add-in

  1. From the Test Application's main menu, click File > User Defined > Uninstall Add-In.

  2. On the prompt that follows, click OK if you wish to proceed with removal of the add-in.

[Caution]

If your project has unsaved test results, click Cancel and save the project before retrying uninstallation. See Saving Test Projects.

  3. Upon clicking OK on the prompt above, the Test Application removes the add-in.

· Printing HTML reports


Printing HTML reports

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > File menu options > Printing HTML reports

Printing HTML reports

· To preview the HTML test report before you run the print command, select File > Print Preview... from the Test Application's main menu.

· To print the HTML test report, select File > Print... from the menu.

· Click Page Setup... if you wish to modify the one or more settings of the page layout, prior to printing.

· View menu options


View menu options

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options

View menu options

The following sections explain the functionality and usage of various features that appear under the View menu of the Test Application.

· Resetting Tab Layout

· Resetting Dialog Window Sizes

· Accessing Data Analytics URL

· Setting Preferences

· Resetting Tab Layout


Resetting Tab Layout

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Resetting Tab Layout

Resetting Tab Layout

You may either click and drag the tabs or use the right-click context menu on each tab, such that they appear as floating windows. This feature of undocking tabs is advantageous when you wish to view the settings under each tab simultaneously instead of switching to each tab and also when you are using more than one monitors.

Other than undocking/floating the tabs, you may also rearrange the tabs to the left, right, up or down within the application framework.

· Other than dragging, you may use the right-click context menu to move each tab.

· The application framework allows you to undock all tabs including the Messages area. On a certain tab that you undock from the main application, you may:

    1. Click the maximize button on the top right corner to expand the tab to full-screen.

    2. Either click the drop-down option and select Dock or double-click the horizontal bar to reset the tab to its default position.

· To reset all the tabs back to the application framework as it appears in the original view, click View > Reset > Tab Layout, from the Test Application's main menu.

· Resetting Dialog Window Sizes


Resetting Dialog Window Sizes

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Resetting Dialog Window Sizes

Resetting Dialog Window Sizes

Click and drag the cursor after placing it on the dragger in the bottom right corner, which is available in certain dialogs and windows, for resizing the dialog uniformly. One such example is shown below.

To reset the size of the dialog and application window, click View > Reset > Dialog Window Sizes, from the Test Application's main menu.

· Accessing Data Analytics URL


Accessing Data Analytics URL

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Accessing Data Analytics URL

Accessing Data Analytics URL

For quick access to the Web Repository for Datasets, which contain the uploaded measurement results, perform the following:

  1. Click View > Data Analytics.

  2. In the Web Viewer, URL = drop-down text field, replace the default text with the actual IP address or the URL of the web server where the Dataset Repository is located.

  3. Click Go. The default browser on your machine launches the Web Repository for Datasets.

Refer to Exporting Measurement Results to Web Repository to know in detail about how to upload measurement test results and access the Dataset Web Server through that interface.

· Setting Preferences


Setting Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences

Setting Preferences

The Test Application consists of certain settings in the Preferences window, which may be enabled or modified to alter the appearance or functionality of certain features within the user interface.

From the Test Application's main menu, click View > Preferences....

To know more about the available options, see:

· Setting Run Preferences

· Setting Auto-save Preferences

· Setting Performance Preferences

· Setting Results Preferences

· Setting Display Preferences

· Setting Remote Preferences

· Setting Miscellaneous Preferences

· Setting Support Preferences

· Setting Run Preferences


Setting Run Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences > Setting Run Preferences

Setting Run Preferences

Other than enabling/disabling the display of Information, Warning and Error messages that may occur during test runs (see Setting Display Preferences), you may modify other preferences that affect the test runs.

  1. In the Preferences dialog, click the Run tab.

  2. In the Acquisition/Measurement Machines section,

    • Provide the Infiniium VISA Address/Alias to connect to the primary oscilloscope. Click Select button, and provide the VISA address or SICL address of the Infiniium Oscilloscope or please select the oscilloscope from My Instruments section in Keysight Connection Expert.

  3. In the Test Abort Action section, select one the following options as soon as a test is aborted:

    • Continue the run (problem descriptions may be viewed after the run ends)—Test Application ignores the aborted test and continues to run the remaining tests. Note that you may view in the Messages area the problem description related to the aborts after the test run ends.

    • Stop the run and report the problem immediately—Test Application stops the running of tests as soon as a test aborts and generates a problem report immediately.

Note that the settings of the Test Abort Action section do not affect the Stop button.

  3. Click Apply to save your changes or click Cancel to discard the changes.

  4. Click Close to close the Preferences dialog and return to the test environment.

· Setting Auto-save Preferences


Setting Auto-save Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences > Setting Auto-save Preferences

Setting Auto-save Preferences

The test appliation can be confiigured to automatically save projects (at the end of the test run) in .zip or .proj formats at selected system locations.

To configure auto-save preferences, please follow the steps:

  1. In the Preferences dialog box, click the Auto-save tab.

  2. Select the Auto-save at end of run check box. The options available in the Method and Condition area will get enabled.

  3. To auto-save projects at the end of the test run, select any one of the following Method:

    Method

    Description

    Save Project (.proj)

    Select this option to save project in *.proj format. By default, this option is selected.

    Export Project (.zip)

    Select this option to export project in zip format. The extension for the exported project file is .AppModel-proj.zip. For example, .D9010SFPC-proj.zip

  4. For the selected Method, select any one of the following Condition at which the system will initiate the project save operation:

    Condition

    Description

    End of each run

    Select this option to auto-save project at the end of each test test run. By default, this condition is selected.

    End of run with failed tests

    Select this option to auto-save only those projects which have failed tests.

  5. Now, configure the naming and location of the project. The configuration parameters help to create name and location format according to which the projects will be auto-saved.

    Name and Location

    Config Variable

    Description

    Project Name

    {DeviceName}

    The system will automatically add the project name as "New_Device1" if config variable is entered as {DeviceName}. If you wish to add a numeric suffix to the project name, please select the Add Suffix check box, and use the up and down arrows to set the suffix number. For example, if "2" is chosen as the suffix, the project name will appear as "New_Device1-2".

    Note that each time when the test run is performed and project gets auto-saved, the suffix number will increase by 1 in the project name.

    Base Path

    {PublicDocumentsDir}\History\{DeviceName}\{Date}

    The system will save the project with the recent date info in the application data directory as per the config variable format. Please click the Browse option, if you wish to set a custom location for project saving.

    The default application data directory is: C:\ProgramData\Keysight\Infiniium\Apps\SFP+Test

  6. Click Apply to save your changes or click Cancel to discard the changes.

  7. Click Close to close the Preferences dialog and return to the test environment.

  • Setting Performance Preferences


Setting Performance Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences > Setting Performance Preferences

Setting Performance Preferences

  1. In the Preferences dialog box, click the Performance tab.

  2. In the Performance section,

    • Selecting Disable Infiniium user interface during run (decreases runtime) disables the Infiniium Oscilloscope user interface during test run and provides increased test execution speed.

  3. In the Recovery section, select one of the following options for the Auto-save recovery data condition:

    • After each trial or permutation (increases runtime) — auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

    • Only at the end of a run — auto-save results only upon the completion of the entire multi-trial.

  4. In the HTML Report section, select one of the following options for the Refresh HTML report condition:

    • Manually — Select this option to manually refresh the HTML report using the Refresh button in the HTML Report tab.

    • After each trial or permutation (increases runtime) — Select this option to refresh the HTML report automatically after each trial or permutation.

    • Only at the end of a run(increases runtime) —Select this option to refresh the HTML report automatically after the end of test run.

  5. Click Apply to save your changes or click Cancel to discard the changes.

  6. Click Close to close the Preferences dialog and return to the test environment.

· Setting Results Preferences


Setting Results Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences > Setting Results Preferences

Setting Results Preferences

  1. In the Preferences dialog, select the Results tab.

  2. In the Margin Reporting section, you can:

  • Enable or disable margin highlighting.

  • Change the values of the margin (in percentage), which is the deviation limit in the resulting values, after which the Test Application must display warnings or critical failures.

  3. In the Test Display section,

    • by default, test results are set to be displayed Chronologically (in the sequence they are run) in the Results tab.

    • select Same as Select Tests tab to view the test results in the same order as displayed in the Select Tests tab.

  4. In the Trial Display section,

    • retain or modify the count limit for the Show details for up to <count> worst trial(s), so that only the defined number of worst trials per test are displayed in the Results tab. The value for <count> cannot exceed the maximum number of trials, which is displayed in the Store Mode area of the Run tab.

    • select an option from the Order trial results: drop-down list to arrange the display order of the trial details.

    • Select the check box Show images (upto 1 worst trial) to display the test result images for upto 1 worst trial.

  5. In the Reports section, check Force page breaks between test results in PDF report to enforce page breaks between test results when the HTML Report is exported in a PDF format.

  6. Click Apply to save your changes or click Cancel to discard the changes.

  7. Click Close to close the Preferences dialog and return to the test environment.

· Setting Display Preferences


Setting Display Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences > Setting Display Preferences

Setting Display Preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. In the Preferences dialog, click the Display tab.

  2. In the Messages section, there are two subsections for the Dialog prompts and prompts in the Messages area. All categories of prompts are enabled and hence, displayed, by default. You can disable (choose not to display) some of these prompts by clearing the corresponding check boxes. However, the Test Application always displays any dialog prompts, where you must choose either OK/Cancel, Yes/No or similar options.

  3. In the Actions section,

  • Display Results tab at end of run—Use this option to automatically open the Results tab at the end of the test run.

  • Select Tests tab double-click jumps to Results tab— This option allows to double-click the tests (which have already been run) in the Select Tests tab, and jump to their results in the Results tab.

  • Results tab double-click jumps to HTML Report—This option allows to double-click the results in the Results tab, and jump to the specific section in the HTML Report tab.

  • HTML Report tab display tracks Results tab selection— This option allows the HTML Report tab to track the result selection in the Results tab. So that, when the HTML Report tab is opened, it automatically scrolls down to the section corresponding to the selected results in the Results tab.

  2. You may also enable/disable the following display option under Miscellaneous:

· Color scheme—choose Platinum if you wish to view the Test Application window in a lighter (grayish-white) color tone.

· Keep application on top—keeps the application's main dialog box on top of the FlexDCA application. By default, this option is enabled.

· Allow application to re-minimize after prompt—allows the Test Application to minimize again in instances such as during the test runs, prompt to change connection setup, input variable, and so on. By default, this option is enabled.

· Invert scope display for screen shots—displays a white background when the Test Application captures screen shots. By default, this option is disabled. Note that there is no inversion of the display color if the Oscilloscope's ColorGrade is enabled.

· Show tooltips—enables appearance of tooltips as you hover the mouse pointer over various controls in the Test Application. By default, this option is enabled.

  5. Click Apply to save your changes or click Cancel to discard the changes.

  6. Click Close to close the Preferences dialog and return to the test environment.

· Setting Remote Preferences


Setting Remote Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences > Setting Remote Preferences

Setting Remote Preferences

  1. In the Preferences dialog, select the Remote tab.

  2. With the Enable remote interface option selected, you may control the Test Application remotely. Uncheck this option to avoid interference from other remote users, if you wish to perform tests directly on the user interface.

  3. Select the Show remote interface hints check box to enable display of ARSL or CSharp syntax associated with certain configuration options in the Test Application.

    • Select a programming language (Arsl or CSharp) in the Language: drop-down options to control the Test Application remotely. However, to configure automation within the Test Application, only Arsl commands can be used.

  4. Click Apply to save your changes or click Cancel to discard the changes.

  5. Click Close to close the Preferences dialog and return to the test environment.

Viewing Remote Interface Hints...

When you enable the option to show remote interface hints, you may view the syntax for certain configuration options in the following manner:

In the Set Up tab

  1. Right-click a control to view the context menu item Remote Interface Hint.... This item appears only for such controls that have an ARSL/CSharp command syntax associated with them.

  2. Click Remote Interface Hint... to view the command syntax and parameters associated with a control.

  3. Click OK to return to the Test Application view.

In the Select Tests tab

The remote hints are displayed in the respective description panes, when an item is selected.

In the Configure tab

The remote hints are displayed in the respective description panes, when an item is selected.

· Setting Miscellaneous Preferences


Setting Miscellaneous Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences > Setting Miscellaneous Preferences

Setting Miscellaneous Preferences

You may choose to open most recent project on startup or set beep sound on prompts, and modify other miscellaneous preferences using this tab.

  1. In the Preferences dialog box, click the Miscellaneous tab.

  2. In the Projects section,

  • On startup, open most recent project—Use this option to automatically open the most recent project at application startup.

  • On load, restore saved test selection— Use this option to restore the saved test selection in the Select Tests tab on loading a saved project.

  3. In the Prompts section,

    • Clear the Beep when user prompted check box to disable (audible) beeps whenever there is a prompt for a user input.

    • Optionally, select the Beep only during run check box to restrict (audible) beeps to test run instances only

  4. In the Export section, modify the value in the Generate CSV using Format: drop-down from 1 to 3 to generate the appropriate CSV report.

  5. Click Apply to save your changes or click Cancel to discard the changes.

  6. Click Close to close the Preferences dialog box and return to the test environment.

  • Setting Support Preferences


Setting Support Preferences

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > View menu options > Setting Preferences > Setting Support Preferences

Setting Support Preferences

You may choose to display or disable the information, warning and error dialogs and modify other display preferences while tests are running.

  1. In the Preferences dialog, click the Support tab.

· Log events — select to display the log of all events that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Log IO — select to display the log of all input/output actions that occur during the test runs. By default, this option is disabled. You must enable this option only when you are directed by the Keysight support organization.

· Create debug package after a crash — generates a zip file named AppTermination.zip, which consists of consolidated diagnostic information, if at all the Test Application suffers an abrupt termination. The zipped package consists of project files, logs of events and I/O activities along with the configuration data of the Test Application at the time of crash. By default, the zip file is saved in C:\ProgramData\Keysight\FlexDCA\Apps\<App Name>, which is displayed on the Abnormal Termination window that appears after the crash. If you uncheck this option (not recommended), the Application does not capture any diagnostic information associated with the abrupt closure.

  2. Click Apply to save your changes or click Cancel to discard the changes.

  3. Click Close to close the Preferences dialog and return to the test environment.

· Tools menu options


Tools menu options

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Tools menu options

Tools menu options

The following sections explain the functionality and usage of various features that appear under the Tools menu of the Test Application.

· Configuring Compliance Limits

· Configuring Infiniium Features

· Configuring Switch Matrix

· Configuring Compliance Limits


Configuring Compliance Limits

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Tools menu options > Configuring Compliance Limits

Configuring Compliance Limits

You may use standard compliance limits or define user-defined limits for one or more configuration options within the Test Application by using the Compliance Limits feature.

Using this feature, you can:

· Activate/Refresh a Limit Set. See To Activate/Refresh Limit Set.

· Create/Edit a Limit Set. See To Create/Edit Limit Set.

· To Activate/Refresh Limit Set


To Activate/Refresh Limit Set

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Tools menu options > Configuring Compliance Limits > To Activate/Refresh Limit Set

To Activate/Refresh Limit Set

To access the Activate/Refresh Compliance Limit Set dialog:

· From the Test Application's main menu, click Tools>Compliance limits>Activate/Refresh limit set....

  • The Activate/Refresh Compliance Limit Set dialog window is displayed.

· By default, the Active Limit Set: displays a limit set, which consists of standard compliance limits for measurements. In the Select a limit set to activate/refresh: area:

  1. Select another official limit set, if available, from the drop-down for Official. Official limit sets are referred to the limit sets recommended by Keysight Technologies. Usually, these limit sets reflect different versions of official specifications and the limit files contain standard values for various configurations as defined in the standard specifications.

  2. Click User-defined to enable the Browse button and select a custom limit-set file. The user-defined limit sets may contain values that may be different from the official specification. See To Create/Edit Limit Set on how to create a user-defined limit set.

  3. Click Browse to select limit-set file (*.lim) and click Open.

  4. After making a selection, click OK. The measurement limit values (from the selected limit set) are applied for various configuration options in the Test Application.

· To Create/Edit Limit Set


To Create/Edit Limit Set

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Tools menu options > Configuring Compliance Limits > To Create/Edit Limit Set

To Create/Edit Limit Set

  1. Click Tools>Compliance limits>Create/Edit limit set....

  • The Create/Edit User-Defined Limit Set dialog window appears.

  2. Click the Load Template button to load an existing official limit set or a user-defined limit set file.

  3. On the Load Compliance Limit Set window that appears, select a limit set in the same manner as on the Activate/Refresh Compliance Limit Set dialog window. See To Activate/Refresh Limit Set.

  • The contents of the selected limit set file now appear on the Create/Edit User-Defined Limit Set dialog window.

Creating/Editing Limit-Sets

You may modify some of the editable fields or data and save the modified limit set in the *.lim file format.

  1. To begin with, you may modify the Name: and the Shared reference: fields in the Edit summary: area.

  2. To modify a specific parameter or a group of parameters, highlight one or more rows in the Select test limit(s) area.

  3. Use either the Edit, Combine or Split feature to modify/edit the limit-set files. The sections below describe in detail how to use these features.

  4. Once you have done modifying/editing the limit-sets, click Save if you wish to retain the same file name with edited limit-sets or click Save As... if you wish to create a new limit-set file.

  5. If you click Save As..., the Save Limit Set As window displays. Assign a new file name to your modified limit-set and click Save.

  6. Click Close on the Create/Edit User-Defined Limit Set window to return to the Test environment.

Edit

  1. Click to select the test limit in the Select test limit(s) section that you wish to amend and modify.

  2. In the Click action to perform area, click the Edit button. The Edit Pass Limit dialog window appears.

  3. Modify the values/conditions of the selected limit set in the Pass Limits area. Click OK to save the changes or click Cancel to discard the changes and return to the Create/Edit User-Defined Limit Set dialog.

Combine

  1. Select two or more limit-set rows in the Select test limit(s) section that you wish to combine, such that the resultant limit covers more than one test ID.

  2. In the Select action to perform area, click the Combine button. The Create Multi-Test Limit dialog displays.

  3. To combine limit sets, select one of the selected test limits from the Copy limits from: drop-down field. The limits from the selected set are copied to the other limit sets before combining them under one title.

  4. Type a summary name and description to identify the new combined test limit.

  5. Click OK to save the changes or click Cancel to discard the changes and return to the Create/Edit User-Defined Limit Set dialog window. Scroll down to view the new combined limit-set.

Split

  1. Select a multi-test limit-set in the Select test limit(s) section that you wish to split, such that the resultant limit-set is divided into more than one test limit-sets.

  2. In the Click action to perform area, click the Split button. The Split One Test Limit Into Two dialog window appears.

  3. The Assign tests: area displays the individual test limit-sets of which the combined multi-test limit-set is composed of. Click the [image] button to split the required limit-set by moving the selected limit-set into the column on the right. Click the [image] button if you wish to retain a test limit in the original limit-set.

  4. For proper identification of the separate limit sets, you may provide separate summary names and summary descriptions in the respective fields for the new test limit. You may edit the previous multi-test limit-set for correct representation.

  5. Click OK to save the changes or click Cancel to discard the changes and return to the Create/Edit User-Defined Limit Set dialog. Scroll down to view the new split limit-sets.

· Configuring Infiniium Features


Configuring Infiniium Features

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Tools menu options > Configuring Infiniium Features

Configuring Infiniium Features

The Test Application provides the pathway to access certain Infiniium features, whose configuration may be required to run various measurements. For more information about such features, see the following sections:

· Setting Up InfiniiSim

· Setting Up the Precision Probe/Cable

  • Setting Up InfiniiSim


Setting Up InfiniiSim

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Tools menu options > Configuring Infiniium Features > Setting Up InfiniiSim

Setting Up InfiniiSim

InfiniiSim is a general transformation tool that can be used to produce accurate results for a variety of problems. Using InfiniiSim, you may define two types of electrical circuits — the "measurement circuit", which models the actual physical circuit that produces the measured waveform and the "simulation circuit", which models a hypothetical electrical circuit that exhibits the electrical characteristics that you wanted to measure.

With InfiniiSim, you can:

· de-embed test fixtures or cables or switch networks that are placed between the Oscilloscope and the device to be measured.

· view waveforms anywhere in a modeled system.

· insert channel effects such as a standard cable model.

· replace one or more channel elements with another.

· remove loading impedance of high-impedance probes.

· provide default configurations for common use models.

· enable user-defined transfer functions to relate one measurement node to another.

With respect to the Compliance Test Application, the InfiniiSim feature allows configuration of device ports associated with Oscilloscope Channels to accomplish proper triggering and filtering of the waveforms using transfer functions. InfiniiSim analyzes the measurement and simulation circuits and generates a transfer function which, when applied to the measured waveform produces the desired simulated waveform on the Oscilloscope's display.

For more information on InfiniiSim and its functionality in general, refer to N5465A InfiniiSim Waveform Transformation Toolset.

Note

You may access the InfiniiSim feature within the Test Application only if it is licensed on the Oscilloscope.

  1. From the Test Application's main menu, click Tools>Infiniium>InfiniiSim....

  2. The Configure InfiniiSim window displays.

  • By default, the InfiniiSim for each Scope Channel are disabled (Off). For any Scope Channel, you can enable InfiniiSim by selecting either the 2 Port or the 4 Port settings. The 4 Port InfiniiSim is further divided into 2-Channel or 1-Channel configuration. Additionally, for 4-Port 1-Channel InfiniiSim, you must define the transfer function Port Extraction settings to properly model your setup.

· In the following sections, the images display the InfiniiSim settings for Scope Channel 1 only. However, you can repeat the same configuration procedure for the rest of the Scope Channels.

· To configure 2-port settings on the Scope Channel 1,

  1. Select the 2 Port radio button to enable 2-port 1-Channel InfiniiSim.

· To configure 4-port settings on the Scope Channel 1,

  1. Select the 4 Port (Channels 1 & 3) radio button to enable 4-port 2-Channel InfiniiSim.

  2. Select the 4 Port (Channel 1) radio button to enable the 4-port 1-Channel InfiniiSim.

  3. In the Port Extraction area, you may select one of the following control options:

  • For Channels 1 or 2:

  • Use Ports 1 -> 2 to use a single-ended path (port 1 to port 2) for 4-port 1-Channel analysis.

  • Use Ports 3 -> 2 to use a single-ended path (port 3 to port 2) for 4-port 1-Channel analysis.

  • Differential to use a differential path through the 4-port device.

  • Common Mode to use a common-mode path through the 4-port device.

  • For Channels 3 or 4:

  • Use Ports 3 -> 4 to use a single-ended path (port 3 to port 4) for 4-port 1-Channel analysis.

  • Use Ports 1 -> 4 to use a single-ended path (port 1 to port 4) for 4-port 1-Channel analysis.

  • Differential to use a differential path through the 4-port device.

  • Common Mode to use a common-mode path through the 4-port device.

Configuring the 2 Port & 4 Port InfiniiSim

· Refer to the N5465A InfiniiSim Waveform Transformation Toolset User Guide to understand in detail, about the features and functionality of InfiniiSim.

Note

Most of the parameters for the 2 Port and the 4 Port InfiniiSim configuration are the same. However, the extension for the Transfer Function File for the 2 Port set up is *.tf2 and for the 4 Port set up, the extension is *.tf4.

  1. Click the [image] to access the Create Transfer Function wizard.

  • Generally, a Transfer Function represents the ratio (in the frequency domain) between voltage waveforms defined by two different conditions — one defined by the "measurement circuit" and the other defined by the "simulation circuit". For the Test Application, you may calculate the transfer function from the circuit models you create and load directly from a transfer function file.

  2. Click Start to begin creating the Transfer Function on the Oscilloscope.

  3. Click Finish once you are done with creating the Transfer Function. You may click Cancel at any time if you wish to abort this procedure and return to the Configure InfiniiSim window.

  4. To apply the Transfer Function you created above, define the file path and the file name in the Transfer Function File field.

  • Transfer Function files describe the relationship between two sets of time-varying node voltages as a tabular list of complex transfer function values at specific frequencies. Formatted as ASCII text, transfer function files are easily viewed or edited using any text-based file editor.

  • You may click [image] to access the Open dialog to navigate to the folder on the local disk where the transfer function file is located. Note that the extension for the Transfer Function File for the 2 Port set up is *.tf2 and for the 4 Port set up, the extension is *.tf4.

  5. From the drop-down options below the Transfer Function File field, select an option to control inclusion or removal of time delay in signals caused by Cables and Test Fixtures.

    1. RemoveFilterDelay—Remove the delay imposed by the model on the waveform. Because different frequencies can have different delays, this is an approximation of the group delay. Use this mode to compare the response correction of the signal with InfiniiSim turned on and off.

    2. IncludeFilterDelay—Apply the delay imposed by the model to the waveform. This selection will accurately shift the waveform in time according to the model.

    3. IncludeTriggerCorrectedDelay—Apply the trigger's jitter error correction after the de-embedding filter has been applied.

  6. The InfiniiSim application automatically applies an AC response correction (via the transfer function) to the probes, so that the frequency response of the probes is flat up to their bandwidth. Select the Disable automatic probe correction check-box to disable the automatic AC response correction on the probes. By default, this option is unchecked.

  7. Select the check-box to enable the Bandwidth Limit field and to define the frequency limit to minimize any noise gain by attenuating the resulting waveforms above the frequency where there is mostly just noise.

Note

You may find the Bandwidth Limit field enabled yet grayed out (as shown in the images above). This occurs if the bandwidth limit has been enabled and defined in the Acquisition Setup window. See Acquisition Setup for details.

  8. You may select a response of the individual bandwidth limit filter:

    1. BrickWall—Specifies a Brick-Wall response for the bandwidth limit filter. This response has a sharp roll-off.

    2. FourthOrderBessel—Specifies a 4th Order Bessel response for the bandwidth limit filter. This response has a more gradual roll-off.

Note

To achieve the 4th Order Bessel response, the maximum bandwidth you can specify is about two-thirds of the maximum bandwidth you could specify with the BrickWall filter. Also, with the 4th Order Bessel filter, the brick-wall response takes over at what would be the brick-wall filter's maximum bandwidth. Therefore, you can have a combination of roll-off responses with this selection.

  9. Select the Normalize Gain option to remove any DC gain of the InfiniiSim transfer function. By default, this check-box is not selected.

  10. Set the Response Correction field to 100% for full correction, if you are making averaged mode measurements or applying the transfer function that does not magnify the noise. However, if you are working with eye diagrams or making jitter measurements and the transfer function is magnifying the noise, you may want to limit the correction by selecting a lower percentage. This field linearly scales the amount of correction applied to the non-DC frequency components of the measured signal so that it lets you trade off the amount of correction to apply through the transfer function versus the increase in noise it may create at high frequencies.

  11. In the Filter Size area,

  1. Increase the Max Time Span control to increase the maximum time span of the correction transfer function's impulse response. Increasing this control enables InfiniiSim to apply transformations which have slower time constants.

  2. Increase the Min Frequency Resolution control to make the frequency resolution less fine and to automatically decrease the Max Time Span control, which corresponds to a higher update rate.

  12. Once you are through with configuring InfiniiSim, click OK to save the changes done to the Configure InfiniiSim window and to return to the Test environment.

  • Click Cancel to discard all changes and to return to the Test environment.

  • Click Refresh to restore the values that the parameters contained before you modified/updated.

  • Click Reset This Channel to disable (switch to Off) the InfiniiSim feature on the current/active Scope Channel only.

  • Click Reset All Channels to disable (switch to Off) the InfiniiSim feature on all Scope Channels.

· Setting Up the Precision Probe/Cable


Setting Up the Precision Probe/Cable

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Tools menu options > Configuring Infiniium Features > Setting Up the Precision Probe/Cable

Setting Up the Precision Probe/Cable

The Precision Probe / Precision Cable feature helps in achieving full correction, calibration and automation of each probes and cables path respectively.

The Precision Probe corrects the "Vout/Vin" response to be flat with frequency and phase to the defined bandwidth limit; where "Vout/Vin" characterizes the output of the probe as a function of the input at the probe tips. This feature also provides the ability to control the amount of gain applied to the signal.

The Precision Cable removes insertion loss caused by cables and fixtures up to a certain bandwidth limit.

Note

You may access the Precision Probe/Cable feature within the Test Application only if it is licensed on the Oscilloscope.

  1. From the Test Application's main menu, click Tools>Infiniium>PrecisionProbe/PrecisionCable....

  • The Configure PrecisionProbe / PrecisionCable dialog appears, where you can set up the precision probe or the precision cable calibration files for each Scope Channel.

  1. Click the Scope Channel being used. By default, the Precision Probe / Precision Cable configuration for Scope Channel 1, as shown above.

  • The images used for illustration display Scope Channel 1. Repeat the configuration procedure for the rest of the Scope Channels.

  2. In the Mode area, select PrecisionProbe or PrecisionCable. The display in the lower part of the window changes according to your selection. By default, the PrecisionProbe feature is selected.

  • Select PrecisionProbe to calibrate the probes connected to the Oscilloscope and the DUT.

  • Select PrecisionCable to remove insertion loss caused by cables or fixtures. You may configure the settings displayed below for PrecisionCable once you perform calibration on the Oscilloscope.

To create a new calibration file

In order for the Precision Probe / Precision Cable feature to function effectively with the Test Application, you must perform calibration on the Oscilloscope.

  1. Click the Create New... button. The Create Calibration dialog appears.

  • Create Calibration dialog for PrecisionProbe:

  • Create Calibration dialog for PrecisionCable:

  2. Click Start and follow the on-screen instructions to create probe/cable calibration files on the Oscilloscope.

  • Refer to the Infiniium Oscilloscope's Help to know more about how to perform calibration.

  3. Once the calibration process is complete, Click Finish to exit the Create Calibration dialog and return to Configure PrecisionProbe / PrecisionCable dialog.

  • The AC Calibration: field displays the AC Calibration file generated while performing Probe/Cable Calibration on the Oscilloscope.

  4. For the PrecisionCable mode,

    1. Select the On check-box to configure the additional settings.

    2. Select the Include Cable Delay check-box if the test signal is differential.

    3. In the Corrected Bandwidth area, select Automatic so that the Test Application reads the bandwidth limits set on the Oscilloscope during the process of calibration, else you may manually define the signal gain in the Limit Boosting field or the bandwidth limit in the Specify Bandwidth field.

  5. Once you are through with configuring the PrecisionProbe / PrecisionCable, click OK to save the changes done to the Configure PrecisionProbe / PrecisionCable window and to return to the Test environment.

  • Click Cancel to discard all changes and to return to the Test environment.

  • Click Refresh to restore the values that the parameters contained before you modified/updated.

  • Click Reset This Channel to disable (switch to Off) PrecisionProbe/PrecisionCable feature on the current/active Scope Channel only.

  • Click Reset All Channels to disable (switch to Off) PrecisionProbe/PrecisionCable feature on all Scope Channels.

· Configuring Switch Matrix


Configuring Switch Matrix

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Tools menu options > Configuring Switch Matrix

Configuring Switch Matrix

Switch Matrix — Overview

An Oscilloscope has only 4 channels to run tests. The limited number of channels may, at times, limit the testing of some multi-lane standards. Also, it may prove to be a hindrance to run test procedures for multi-port devices or simultaneous testing of multiple devices. The Switch Matrix feature on the Infiniium Oscilloscope overcomes such limitations. The purpose of the ‘Switch Matrix’ feature is to ease the testing procedure, make it more feasible and to reduce the overall time. Using this feature, you can connect all four lane pairs of the eDP Source devices to the correct switches and to obtain an accurate signal path whenever required.

Keysight recommends the following switches to be used with the D9010SFPC SFP+ Compliance Test Application:

· Keysight U3020AS26

· BitifEye BIT-2100

To Enable Switch Matrix

Before you begin the testing QSFP+ devices or a multi-port SFP+ devices simultaneously, you must enable the Switch Matrix feature.

To enable the switch matrix feature:

  1. Click Tools > Switch Matrix...

  2. In the Configure Switch Matrix Settings* dialog box, click the On radio button to enable the Switch Matrix feature.

Enabling the Switch Matrix feature also enables the automated switch control. Notice that the Automatically select drivers and paths (limited models) option in the Configuration Mode section is selected by default.

Establishing Connection to the Switch Drivers — Automatically

In the Configure Switch Matrix Settings* dialog, under the Controller tab:

  1. From the Switch Drivers section, select the switch model from the Model: drop-down options.

Note

If you choose the other switch model next time, the switch settings and the response correction for all paths is reset based on the selected switch driver model.

  2. Click the Connect button.

The application provides two different modes to connect the selected driver to a physical switch instrument.

  3. A Connect to Keysight U3020A S26_1/BitifEye BIT2100 (as per your choice) dialog displays, which gives you two options to establish a connection to the switch models.

· Enter full SICL address or VISA alias—Select this radio button to type the complete SICL or VISA address of the switch driver. By default, this option is selected.

Click the Get button to identify the instrument at the specified address or alias and to view the current status of the instrument that is connected to the switch driver.

Click OK to exit.

A list of drivers is available to assign signal path. Click OK to return to the Configure Switch Matrix Settings* dialog.

Click OK to save the settings and return to the test environment.

· Select from Keysight Connection Expert—Select this radio button to control the application with the help of remote PC. Upon selecting this option, the application starts seeking device information from the Keysight Connection Expert.

If remote access of the device is enabled, the Connect to <switch-model> dialog displays the list of active instruments. Click the Identify* / Hide unresponsive addresses check-box to send an IDN query to every instrument in the list and search for the active instruments, if any.

If any active instruments are found, the Connect to <switch-model> dialog lists out such instruments; else the application displays an error message.

Select an instrument from the list and click OK to return to the Configure Switch Matrix Settings* dialog.

Click OK in the Configure Switch Matrix Settings* dialog to save the settings. This redirects you to the test environment showing the Switch Matrix feature On.

Note

The Select from Keysight Connection Expert option is available only when the device is turned on and enabled for remote access.

To know more about how to control the application remotely, see Controlling the Application via a Remote PC.

Establishing Connection to the Switch Drivers — Manually

In the Configure Switch Matrix Settings* dialog:

  1. Click the Manually perform these tasks (any supported model) radio button in the Configuration Mode section.

  2. In the Switch Drivers section, you may use the Add button to append the list of any additional drivers, which require a connection to an instrument. Use the Delete button to remove a selected driver from the list. Removing the driver from the list dissociates any signal paths that may have been assigned to it earlier.

Note

The Manually perform these tasks (any supported model) option allows you to decide how many drivers to use and how to route the signal paths. It enables the use of any supported switch model.

Rest of the steps for establishing a connection to the switch models remains the same as described in the Establishing Connection to the Switch Drivers — Automatically. The only difference between automatic and manual modes is that you can add/delete and select switch drivers (any supported model) as per your requirements and preferences in the manual mode.

Configuring Signal Paths

Once you have enabled the Switch Matrix feature and set up connections to the switch drivers, you must configure signal paths. The options to configure the signal paths vary depending upon whether you have selected Automatically select drivers and paths (limited models) or Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings* dialog.

Configuring Signal Paths with Automatic Selection

When you have selected Automatically select drivers and paths (limited models) in the Controller tab of the Configure Switch Matrix Settings* dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings* dialog.

Notice that the Signal Paths are already predefined and read-only. At runtime, when the Switch Matrix module is on and when a connection prompt occurs, two events occur:

· The framework suppresses the prompts.

· The Switch Matrix module detects the new connection and then throw switches, as indicated in the Switch column, taking into account the current value of the config variable (if any) associated with the connection.

Configuring Signal Paths with Manual Selection

When you have selected Manually perform these tasks (any supported model) in the Controller tab of the Configure Switch Matrix Settings* dialog:

  1. Click the Signal Paths tab in the Configure Switch Matrix Settings* dialog.

  2. Under the Sink column, select the channel or switch module in one of the drop-down options. The alternative channel or switch module option is automatically displayed.

For example, if you choose Channel 3- in the first row, the drop-down in the second row automatically selects and displays Channel 1+.

Notice that the Source column also displays the lane drop-down options, which did not appear until you selected the channel in the Sink column. You may change the lane assignments and the corresponding Switch modules.

In both cases, that is, configuring signal paths with Automatic or Manual selection; click the View Connections... button to view the signal path mapping, to understand how the signal path maps to the connection diagrams being used by the application.

Click the Tests... button to view information about the test pattern and test types that use this connection to perform automated tests.

Click the Close button to exit and return to the Configure Switch Matrix Settings* dialog to finish the signal path configuration.

If required, use the Reset Paths... button to clear all switch and response correction settings for all paths. Click OK if you wish to proceed.

Also, if needed, use the Load Preconfigured Settings... button to set switches for all paths as per the recommended settings. Click OK if you wish to proceed.

Response Correction

You must specify the response correction after you finish configuring the signal paths. This is a vital parameter that highly impacts the measurement accuracy, credibility and performance of the oscilloscope. The purpose of response correction is to correct the channel frequency response of the oscilloscope.

There are three response correction methods available in the Choose correction mode: drop-down options:

· None—turns off normalization for the specified path. By default, this options is selected.

· InfiniiSim—specify response correction by characterizing InfiniiSim.

· PrecisionProbe—specify response correction by characterizing the precision cable or probe.

If you select the InfiniiSim option from the drop-down, the Configure InfiniiSim dialog displays.

Refer to Setting Up InfiniiSim to know about how to configure InfiniiSim.

If you select the PrecisionProbe option from the drop-down, the Configure PrecisionProbe / PrecisionCable dialog displays.

Refer to Setting Up the Precision Probe/Cable to know about how to configure the precision probe/cable.

Once you configure the precision probe/cable and return to the Response Correction tab of the Configure Switch Matrix Settings* dialog, you may use the [image] button, if you wish to make further changes to the InfiniiSim or Precision Probe/Cable configuration.

Use the [image] button to establish a connection between the selected test point and scope channel. For example, if you click Execute Switches after selecting the first row, as shown below, you receive the following prompt:

Click OK on this prompt. Once you have finished response corrections for all connections, click OK in the Configure Switch Matrix Settings dialog. The application redirects you to the test environment.


Help menu options

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Help menu options

Help menu options

To know more about the functionality, methodology to run test procedures, support and license information associated with the Test Application, you may access the various options available under the Help menu of the Application.

· From the main menu of the Test Application, click Help.

Documentation

· Click Help Contents... to view the Test Application's Online Help in CHM file format. This Online Help file explains the functionality and workflow of the various features available in the Test Application.

· Click View Test Procedure... to view the Methods of Implementation document in PDF format. This document explains the requirements, specifications and procedures to run various tests using the Test Application.

· Click API Reference > Contents to view the Keysight DigitalTestApps Automation Interface Online Help in CHM file format. This Online Help explains how to use the Automation interface of the Keysight Digital Test Applications.

· Click API Reference > Remote Interface > Contents to view the Test Application Programmer's Reference in CHM file format. This Online Help explains how to program the Test Application remotely using either ARSL or C# commands.

· Click API Reference > Remote Interface > PDF to view the Test Application Programmer's Reference in PDF file format. This PDF Reference contains the previous information in PDF format.

Technical Support

· Click Technical Support > Contact Technical Support to navigate to the Services and Support page on Keysight's website.

· Click Technical Support > Apps on the Web to navigate to the Oscilloscope Software page to know about other software products developed by Keysight Technologies.

· Click Technical Support > Collect Files to save Test Support Files in zipped file format on your local machine.

· Click Technical Support > My Support Subscriptions to know about the any licenses subscribed for technical support. On the My Support Subscriptions window that appears, if the support licenses are identified as expired or due for expiration, you may contact Keysight's Sales team by clicking Contact Keysight... to navigate to the Contact an Expert page on Keysight's website.

· Click Technical Support > My Support ID to obtain the Support ID information (typically the machine's Host ID), which is required when procuring licenses for technical support.

Licensing Information

· Click License Manager > Node Locked & Transportable... to launch Keysight License Manager (prior to version 6), where you may view the licenses installed on your machine for the launching and operability of the Test Application. Notice that several features, such as InfiniiSim, accessed within the Test Application require installation of separate licenses. For more information regarding installation of procured licenses on Keysight License Manager 5, refer to Keysight License Manager 5 Supporting Documentation.

· Click License Manager > Floating & USB... to launch Keysight License Manager 6, where you may view the floating licenses installed on your machine for the launching and operability of the Test Application along with various other features. For more information regarding installation of procured licenses on Keysight License Manager 6, refer to Keysight License Manager 6 Supporting Documentation.

· To install licenses for the Test Application, refer to the "Installing the License Key" section in the Test Application's Methods of Implementation document.

Updates

· Click Check for Updates to navigate to the Oscilloscope Software page to check for latest released versions or patches related to the Application.

Other Information

License Agreement

· Click License Agreement... to view the terms defined in the Keysight End User License Agreement.

Third Party Software

· Click Third Party Software... to view information regarding any third-party (external to Keysight) software or licenses incorporated in the development of the Test Application's framework.

About

· Click About... to view the information regarding the current version of the Test Application along with some of the other installed components.

· Controlling the Application via a Remote PC


Controlling the Application via a Remote PC

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Controlling the Application via a Remote PC

Controlling the Application via a Remote PC

You may use the N5452A remote interface to control the Test Application remotely using ARSL or C# commands.

On the Test Application, see Setting Remote Preferences to know how to enable the remote interface and view associated syntaxes. From the Test Application's main menu, click Help>About.... to see the supported remote interface version.

Using the N5452A remote interface, you can control the Infiniium Compliance Applications from a remote machine. While the remote interface has ready-to-run executable features available, you may also create custom programs using the Microsoft .NET 2.0 remote interface.

· With the remote interface, you can:

  1. Launch and close the applications

  2. Configure options

  3. Run tests

  4. Obtain results

  5. Control display options & preferences

  6. Save and load projects

· For more information on the remote interface, see the N5452A Remote Interface for Infiniium Compliance Applications on the Keysight web site.

· Using a Second Monitor


Using a Second Monitor

Keysight D9010SFPC SFP+ Test Application Online Help > Additional Settings in the Test App > Using a Second Monitor

Using a Second Monitor

You may use a second monitor to display the Test Application, so that you can view the Oscilloscope while using the Test Application. If required, connect the second monitor to the video port on the rear panel of the Oscilloscope.

Before starting the Test Application, ensure that the second monitor is configured properly.

  1. Exit the Infiniium Oscilloscope's Application and click the Windows Start menu button.

  2. Select the Control Panel menu item.

  3. From the Control Panel options, click Appearance and Personalization.

  4. Under Display, click Connect to an external display.

  5. Select the second monitor in the Display drop-down. The recommended screen resolution changes accordingly.

  6. If you wish to select a screen resolution, which is different than the recommended setting, click the drop-down for Resolution and select one of the available video resolutions.

  7. In the Multiple displays: drop-down, select Extend these displays to be able to move the mouse pointer from the Oscilloscope screen to the second monitor's display.

  8. To stop using the second monitor, select the Show desktop only on 1 control from the Multiple displays: drop-down.

  9. Click Apply to save these changes and click OK to close the Screen Resolution dialog box.


Adding and Deleting a Dataset

Exporting Measurement Results to Web Repository

Adding and Deleting a Dataset

The Web Repository for Datasets provides the options to add a new dataset and to delete an existing Datasets. This feature on the Web Repository is still under development and will be available in a future release. Currently, the Test Application provides the platform to add/delete Datasets in the Utilities to be Moved to Web Interface feature.

To launch the Utilities to be Moved to Web Interface window, you must ensure that some or all tests in the Test Application have been run at least once and that the test results are displayed within the Results tab.

  1. If you have already run one or more tests, click File > Export Results... > Future Web Interface Repository Controls.

  • The Utilities to be Moved to Web Interface window appears.

  2. Ensure that the Test Application is connected to the web server. The status in the Connect to Server area must display Connected to: <URL / IP address> as shown below. See Connecting to Dataset Web Server if the Test Application is not connected to the Web Repository server.

Adding a Dataset

The feature to add a Dataset is available in the bottom left corner of the Utilities to be Moved to Web Interface window.

By default, the text field displays an entry: dataset name. Do not click the Create Dataset button until you replace the text with a name of your choice, else dataset name gets created as a new Dataset on the Web Repository.

To add a new Dataset,

  1. Replace the default text with a dataset name of your choice.

  2. Click the [image] button to add the Dataset name to the Web Repository.

  • The Test Application automatically assigns a Dataset ID to the Dataset that you create.

  3. To view the Dataset ID associated with the Dataset name, you must select the Dataset that you created.

  4. To select the created Dataset and to view the Dataset ID assigned to it,

    1. Click the [image] button in the Select Dataset area. The list of Dataset names appear that you (or any other user connected to the same Web Repository server) have created.

    2. Select the Dataset name to make it active.

    3. Click the [image] button.

  • The Active: area under Select Dataset displays the selected Dataset name.

  • The Active Dataset ID: area shows the Dataset ID assigned to the selected Dataset.

Deleting a Dataset

The feature to delete a Dataset is available in the bottom left corner of the Utilities to be Moved to Web Interface window.

To delete a Dataset,

  1. Perform step 4 from the previous section to select and activate the Dataset that you wish to delete.

  2. Click the [image] button to delete the active Dataset.

  • The Dataset is removed from both the Test Application and the Web Repository server.

· Click [image] if you wish to return to the Compliance Application view.

Next

· Launching the Upload Results to Repository window

See Also

· Selecting a Dataset


Restricted Rights Legend

Home > Restricted Rights Legend

Restricted Rights Legend

If software is for use in the performance of a U.S. Government prime contract or subcontract, Software is delivered and licensed as "Commercial computer software" as defined in DFAR 252.227-7014 (June 1995), or as a "commercial item" as defined in FAR 2.101(a) or as "Restricted computer software" as defined in FAR 52.227-19 (June 1987) or any equivalent agency regulation or contract clause. Use, duplication or disclosure of Software is subject to Keysight Technologies' standard commercial license terms, and non-DOD Departments and Agencies of the U.S. Government will receive no greater than Restricted Rights as defined in FAR 52.227-19(c)(1-2) (June 1987). U.S. Government users will receive no greater than Limited Rights as defined in FAR 52.227-14 (June 1987) or DFAR 252.227-7015 (b)(2) (November 1995), as applicable in any technical data.


Safety Notices

Home > Safety Notices

Safety Notices

[Caution]

A CAUTION notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in damage to the product or loss of important data. Do not proceed beyond a CAUTION notice until the indicated conditions are fully understood and met.

[Warning]

A WARNING notice denotes a hazard. It calls attention to an operating procedure, practice, or the like that, if not correctly performed or adhered to, could result in personal injury or death. Do not proceed beyond a WARNING notice until the indicated conditions are fully understood and met.


Technology License

Home > Technology License

Technology License

The hardware and/or software described in this document are furnished under a license and may be used or copied only in accordance with the terms of such license.


Trademarks

Home > Trademarks

Trademarks

Adobe®, Acrobat®, and the Acrobat Logo® are trademarks of Adobe Systems Incorporated.

All other marks are the property of their respective owners.


Warranty

Home > Warranty

Warranty

The material contained in this document is provided "as is," and is subject to being changed, without notice, in future editions. Further, to the maximum extent permitted by applicable law, Keysight disclaims all warranties, either express or implied, with regard to this manual and any information contained herein, including but not limited to the implied warranties of merchantability and fitness for a particular purpose. Keysight shall not be liable for errors or for incidental or consequential damages in connection with the furnishing, use, or performance of this document or of any information contained herein. Should Keysight and the user have a separate written agreement with warranty terms covering the material in this document that conflict with these terms, the warranty terms in the separate agreement shall control.


Setting Save and Load Preferences

Setting Save and Load Preferences

  1. In the Preferences dialog, click the Save/Load tab.

  2. In the General section,

    • checking Restore saved test selection enables the Test Application to load the test selections in the Select Tests tab in the same manner as they were saved in a project.

    • checking On startup, open most recent project launches the most recent project each time you start a fresh instance of the Test Application.

  3. In the Auto Recovery / HTML Report Update section, select one of the following options for the Save Auto Recovery data and update HTML Report condition:

    • After each trial or permutation (increases runtime)—auto-save results after each trial or permutation even if the entire multi-trial is not complete. This option enables full recovery.

    • Only at the end of a run—auto-save results only upon the completion of the entire multi-trial.

  4. In the Export section, modify the value in the Generate CSV using Format: drop-down from 1 to 2 to generate the appropriate CSV report.

  5. Click Apply to save your changes or click Cancel to discard the changes.

  6. Click Close to close the Preferences dialog and return to the test environment.

· Setting Support Preferences


Settings

Automating the Application

Settings

Some commands result into visible changes to the application's tabs, such as selecting a test. Other commands modify settings that may not be visible, such as "SuppressMessages".

  1. To view the current value of the invisible properties, click the Settings... button to access the Automation Settings dialog.

  2. Click Close to return to the Automate tab view.

· Viewing Results


Trying a Command

Automating the Application

Trying a Command

  1. To check the syntax of a command to check its functionality, type the command in the Try a command: field and press the <Enter> key. If the output has a visible effect, the corresponding tab or feature displays the output and the changes made.

  • Following images display such an instance. Notice that the command SelectedTests 10333,10334 automates the selection of the corresponding tests.

· Settings